import request from "../utils/request.js";
/**
 *  获取社区首页数据
*/
export function getCommunityList(data) {
  return request.get("Community/getCommunityList", data, { noAuth: true });
}

/**
 * 发朋友圈接口
 * @param {data} 
 */
export function addCommunity(data) {
  return request.post("Community/addCommunity", data, { noAuth: true });
}

/**
 *   获取个人中心数据 
 */
export function getUsersCenter(data) {
  return request.post("Community/getUsersCenter", data, { noAuth: true });
}
/**
 * 获取关注列表 Community/getFollowList
 */
export function getFollowList(data) {
  return request.post("Community/getFollowList", data, { noAuth: true });
}

/**
 * 关注楼主/取消关注  Community/editFollow
 */
export function editFollow(data) {
  return request.post("Community/editFollow", data, { noAuth: true });
}
/**
 * 删除朋友圈
 */
export function delCommunity(data){
  return request.post("Community/delCommunity", data, { noAuth: true });
}
/**
 * 点赞/取消点赞
 */
export function editLike(data){
  return request.post("Community/editLike", data, { noAuth: true });
}
/**
 * 评论列表
 */
export function getCommentList(data){
  return request.post("Community/getCommentList", data, { noAuth: true });
}
/**
 * 点赞列表
 */
export function getLikeLists(data){
  return request.post("Community/getLikeLists", data, { noAuth: true });
}
/**
 * 搜索用户
 * @param {*} data 
 */
export function searchUser(data){
  return request.post("Community/searchUser", data, { noAuth: true });
}

/**
 * 清除搜索记录
 */
export function delSearchs(data){
  return request.post("Community/delSearchs", data, { noAuth: true });
}

 /**
 * 搜索记录
 */
export function getSearchList(data){
  return request.post("Community/getSearchList", data, { noAuth: true });
}
 /**
 * 发布评论/删除评论
 */
export function editComment(data){
  return request.post("Community/editComment", data, { noAuth: true });
}

/**
 * 上传主页图片 
 */
export function updateBgpic(data){
  return request.post("Community/updateBgpic", data, { noAuth: true });
}

/**
 * 转发圈子 
 */
export function shareCommunity(data){
  return request.post("Community/shareCommunity", data, { noAuth: true });
}

/**
 * 圈子详情 
 */
export function getCommunityDetail(data){
  return request.post("Community/getCommunityDetail", data, { noAuth: true });
}
/**
 * 个人中心签到领鸡蛋
 */
export function sign(data){
  return request.post("Community/sign", data, { noAuth: true });
}
/**
 * 获取当前月签到数据
 */
export function getSignLists(data){
  return request.post("Community/getSignLists", data, { noAuth: true });
}
/**
 * 优选数据展示3条
 */
export function getyouliList(data){
  return request.post("community/getSelected", data, { noAuth: true });
}