import request from "./../utils/request.js";

/**
 * 商城订单状态
 */
export function orderStatus(data) {
  return request.post("Order/orderStatus", data, { noAuth: false });
}
/**
 * 商城订单列表
 */
export function orderList(data) {
  return request.post("Order/orderList", data, { noAuth: false });
}
/**
 * 请求处理状态
 */
export function requestOrder(data) {
  return request.post("Order/" + data.action, data, { noAuth: false });
}
/**
 * 订单详情
 */
export function orderDetail(data) {
  return request.post("Order/orderDetail", data, { noAuth: false });

}

/**
 * 酒店订单
 */
export function order_create(data) {
  return request.post("Hotel/order_create", data, { noAuth: false, noVerify: true});
}

/**
 * 上传订单优惠券
 */
export function coupon_order(log_id) {
  return request.post("Order/coupon_pay_success", {log_id}, { noAuth: false, noVerify: true });
}

/**
 * 订单评论
 */
export function orderComment(data) {
  return request.post("Order/orderComment", data, { noAuth: false });
}
/**
 * 订单支付
 */
export function orderPay(data) {
  return request.post("Order/orderPay", data, { noAuth: false });
}

/**
 * 点击领取优惠券
 */
export function add_uCoupon() {
  return request.post("Coupons/tap_and_pay", {}, { noAuth: false, noVerify: true  });
}

/**
 * 点击取消优惠券
 */
export function clear_cache() {
  return request.post("Coupons/clear_cache", {}, { noAuth: false, noVerify: true });
}

export function settleCartData(data) {
  return request.get("Order/settleCartData", data, { noAuth: false });
}
export function directBuy(data) {
  return request.get("Order/directBuy", data, { noAuth: false });
}
export function getAddrList(data) {
  return request.get("Order/getAddrList", data, { noAuth: false });
}
export function addWeidianOrder(data) {
  return request.post("Order/addWeidianOrder", data, { noAuth: false });
}
export function moneyPay(data) {
  return request.post("Order/moneyPay", data, { noAuth: false });
}
export function recommendList(data) {
  return request.get("goods/recommendList", data, { noAuth: false });
}
export function fastPaymentOrder(data) {
  return request.post("order/fastPaymentOrder", data, { noAuth: false });
}

/////////////////////外卖订单/////////////////////

//外卖状态
export function eleOrdStatus(data) {
  return request.get("ele_order/orderStatus", data, { noAuth: true });
}
//外卖订单列表
export function eleOrdList(data) {
  return request.get("ele_order/orderList", data, { noAuth: true });
}
/**
 * 请求处理状态
 */
export function requestEleOrder(data) {
  return request.post("ele_order/" + data.action, data, { noAuth: false });
}
export function payEle(data) {
  return request.post("ele_order/payEle", data, { noAuth: true });
}
export function fastPaymentEleOrder(data) {
  return request.post("ele_order/fastPaymentOrder", data, { noAuth: true });
}
export function submitComment(data) {
  return request.post("ele_order/submitComment", data, {noAuth: true});
} 

export function addEleOrder(data) {
  return request.get("ele_order/addEleOrder", data, { noAuth: true });
}
export function getEleOrder(data) {
  return request.get("ele_order/getEleOrder", data, { noAuth: true });
}
export function addRemark(data) {
  return request.get("ele_order/addRemark", data, { noAuth: true });
}
export function updateStatus(data) {
  return request.get("ele_order/updateStatus", data, { noAuth: true });
}
export function paySuccess(data) {
  return request.get("ele_order/paySuccess", data, { noAuth: true });
}
export function eleOrderDetail(data) {
  return request.get("ele_order/orderDetail", data, { noAuth: true });
}

// 外卖退款
export function ApplyRefund(data) {
  return request.get("ele_order/applyRefund", data, { noAuth: true });
}

// 大转盘
export function getPrizeList(data) {
  return request.post("Turntable/getPrizeList", data, { noAuth: false, noVerify: true});
}

// 商城退款/售后列表
export function getRefundOrderList(data) {
  return request.post("RefundOrder/getRefundOrderList",data, { noAuth: false });
}

// 商城退款/售后详情
export function getRefundDetail(data) {
  return request.post("RefundOrder/getRefundDetail",data, { noAuth: false });
}

// 商城退款/售后详情页面 删除订单
export function setRefundOrderDel(data) {
  return request.post("RefundOrder/setRefundOrderDel",data, { noAuth: false });
}

// 商城退款/售后详情页面 撤销售后
export function setRefundOrderCancel(data) {
  return request.post("RefundOrder/setRefundOrderCancel",data, { noAuth: false });
}

// 商城退款/售后详情页面 确认收货
export function setReceivingGoods(data) {
  return request.post("RefundOrder/setReceivingGoods",data, { noAuth: false });
}

// 商城申请退款
export function GoodsApplyRefund(data) {
  return request.post("Order/applyRefund",data, { noAuth: false });
}

// 商城退款/售后详情页面 立即发货
export function setDeliverGoods(data) {
  return request.post("RefundOrder/setDeliverGoods",data, { noAuth: false });
}

// 商城申请退款页面提交
export function applyRefundOrder(data) {
  return request.post("RefundOrder/applyRefundOrder",data, { noAuth: false });
}

// 商城申请退款页面详情（发货后）
export function getApplyRefund(order_id) {
  return request.post("Order/getApplyRefund",order_id, { noAuth: false });
}

// 商城退款/售后详情页面 查看物流
export function viewLogistics(data) {
  return request.post("RefundOrder/viewLogistics",data, { noAuth: false });
}






