/**
 *
 * 用户相关接口
 *
 */
import request from "./../utils/request.js";

/**
 * 小程序用户登录
 * @param data object 小程序用户登陆信息
 */
export function login(data) {
  return request.post("user/appleLogin", data, {noAuth: true});
}

export function classPage(data) {
  return request.post("shop/classPage", data, {noAuth: true});
}
/**
 * 获取用户充值资金
 * @param data object 小程序用户登陆信息
 */
export function getUserCash(data) {
  return request.post("user/userSumCash", data, { noAuth: true });
}
/**
 * 获取用户信息
 * noAuth 不授权，false为授权，true为授权
*/
export function getUserInfo(data){
  return request.post('user/getUserInfo', data, { noAuth: false });
}
/**
 * 获取会员信息
 * noAuth 不授权，false为授权，true为授权
*/
export function getMemberInfo(){
  return request.post('user/getMemberInfo', {}, { noAuth: true });
}
/**
 * 获取会员授权手机号码
 * noAuth 不授权，false为授权，true为授权
*/
export function getPhone(data) {
  return request.post('user/getPhone', data, { noAuth: true });
}

/**
 * 获取更新手机号码
 * noAuth 不授权，false为授权，true为授权
*/
export function saveMobile(data) {
  return request.post('user/saveMobile', data, { noAuth: true });
}

/**
 * 二维码
 * 
*/
export function shareQrcode(data){
  return request.post("user/createQrcode", data, { noAuth: false });
}

/**
 * 门店商品
 * ouYang
*/
export function shop_goods() {
  return request.post("Coupons/shop_goods", {} , { noAuth: true });
}

/**
 * 商户发红包券
 * ouYang
*/
export function coupons(data) {
  return request.post("Coupons/coupons", { data }, { noAuth: true, noVerify:true });
}

/**
 * 卡券列表
 *ouYang 
*/
export function shop_coupon(page) {
  return request.post("Coupons/shop_coupon", {page}, { noAuth: true, noVerify: true });
}
/**
 * 卡券列表
 * ouYang
*/
export function switch_coupons(coupons_id) {
  return request.post("Coupons/switch_coupons", {coupons_id}, { noAuth: true, noVerify: true });
}
/**
 * 优惠券详情
 * ouYang
*/
export function details(coupons_id) {
  return request.post("Coupons/details", { coupons_id }, { noAuth: true, noVerify: true });
}

/**
 * 用户卡券列表
 * ouYang
*/
export function my_coupons(type, page, genre) {
  return request.post("Coupons/my_coupons", { type, page, genre}, { noAuth: true, noVerify: true });
}

/**
 * 删除券
 * ouYang
*/
export function del_coupons(coupons_id) {
  return request.post("Coupons/del_coupons", {coupons_id}, { noAuth: true, noVerify: true });
}

/**
 * 地区
 * ouYang
*/
export function getarea() {
  return request.post("Store/getarea", {}, { noAuth: true, noVerify: true });
}

/**
 * 区分是商城还是外卖模板
 * ouYang
*/
export function goodsAdd_template() {
  return request.post("Store/goodsAdd_template", {}, { noAuth: true, noVerify: true });
}

/**
 * 获取商城商品分类
 * ouYang
*/
export function goods_type() {
  return request.post("Store/goods_type", {}, { noAuth: true, noVerify: true });
}

/**
 *子类商品分类
 * ouYang
*/
export function goods_paren(product_id) {
  return request.post("Store/goods_paren", {product_id}, { noAuth: true, noVerify: true });
}

/**
 *商城商户上传商品
 * ouYang
*/
export function create_goods(data) {
  return request.post("Store/create_goods", {data}, { noAuth: true, noVerify: true });
}

/**
 *商品展示
 * ouYang
*/
export function goods_product_list(closed,page=0) {
  return request.post("Store/goods_product_list", { closed, page}, { noAuth: true, noVerify: true });
}

/**
 *商品下架
 * ouYang
*/
export function sold_out(id, closed=0) {
  return request.post("Store/sold_out", { id, closed}, { noAuth: true, noVerify: true });
}

/**
 *外卖商品分类
 * ouYang
*/
export function ele_type() {
  return request.post("Store/ele_type", {}, { noAuth: true, noVerify: true });
}

/**
 *外卖上传商品
 * ouYang
*/
export function create_product(data) {
  return request.post("Store/create_product", {data}, { noAuth: true, noVerify: true });
}

/**
 *处理外卖垃圾图片
 * ouYang
*/
export function del_elePicture(src) {
  return request.post("Store/del_elePicture", {src}, { noAuth: true, noVerify: true });
}

/**
 *处理商城垃圾图片
 * ouYang
*/
export function del_goodsPicture(src) {
  return request.post("Store/del_goodsPicture", { src }, { noAuth: true, noVerify: true });
}


/**开始
 * wxl
 */
/**查询用户提现默认银行卡 */
export function cashBank(data) {
  return request.post("users_cash/cashBank", data, { noAuth: false });
}
/**用户提现微信，银行卡 */
export function userWithdraw(data) {
  return request.post("users_cash/cashUserFund", data, { noAuth: false });
}

/**用户佣金，资金转入余额使用 */
export function userTransferMoney(data) {
  return request.post("users_cash/userTransferMoney", data, { noAuth: false });
}
/**用户提现日志 */
export function userCashList(data) {
  return request.post("users_cash/userCashList", data, { noAuth: false });
}
/**用户日志 */
export function userLogs(data) {
  return request.post("users_cash/userLogs", data, { noAuth: false });
}
/**用户转账记录 */
export function transferList(data) {
  return request.post("users_cash/transferList", data, { noAuth: false });
}
/**验证转账好友 */
export function checkTransfer(data) {
  return request.post("users_cash/checkTransfer", data, { noAuth: false });
}
/**
 * 转账好友列表
 */
export function transferFriend(data) {
  return request.post("users_cash/transferFriend", data, { noAuth: false });
}
/**
 * 转账功能
 */
export function transferMoney(data) {
  return request.post("users_cash/transferMoney", data, { noAuth: false });
}
/**
 * 用户充值
 */
export function moneyPay(data) {
  return request.post("users_cash/moneyPay", data, { noAuth: false });
}
/**
 * 充值协议
 */
export function rechargeAgreement(data) {
  return request.post("users_cash/rechargeAgreement", data, { noAuth: false });
}
/**
 * 添加银行卡
 * 顺子
*/
export function addUserBank() {
  return request.post("user/addUserBank", {}, { noAuth: false, noVerify: true });
}

/**
 * 用户充值
 * 顺子
 */
export function moneyPaySuccess(data) {
  return request.post("users_cash/moneyPaySuccess", data, { noAuth: true });
}
/**
 * 添加地址
 */
export function handledAddr(data) {
  return request.post("user/handledAddr", data, {noAuth: false, noVerify: true});

}


/**
 * 关注店铺数列表
 * 
 */
export function getFavoritesShopList(data) {
  return request.post("users_favorites_record/favoritesShopList", data, {noAuth: false});

}

/**
 * 我的评价-商城评价
 * 
 */
export function getCommentShopList(data) {
  return request.post("user/commentShopList", data, {noAuth: false});
}

/**
 * 我的评价-外卖评价
 * 
 */
export function getCommentEleList(data) {
  return request.post("user/commentEleList", data, {noAuth: false});
}

export function getStoreComment(data) {
  return request.post("store/storeComment", data, {noAuth: false});
}

/**
 * 浏览记录
 * 
 */
export function getUsersBrowseRecordList(data) {
  return request.post("users_favorites_record/usersBrowseRecordList", data, {noAuth: false});
}

export function deleteRecord(data) {
    return request.post("users_favorites_record/delRecord", data, { noAuth: false });
}
/**
 *删除所有浏览记录
 */
export function deleteAllRecord(data) {
  return request.post("users_favorites_record/deleteAllRecord", data, { noAuth: false });
}


/**
 * 分享充值好友列表
 * @param {*} data 
 * 
 */
export function getUserSumCash(data) {
    return request.post("share_pay/usersSumCash", data, { noAuth: false });
}

/**
 * 用户参与抽奖接口
 * @param 
 * 
 */
export function joinLottery(lottery_id, shop_id){
  return request.post("user/joinLottery", { lottery_id, shop_id }, { noAuth: true, noVerify: true})
}

/**
 * 分享充值好友列表
 * @param {*} data 
 * 
 */
export function getLuckDrawList(data) {
  return request.post("Turntable/getLuckDrawList", data, { noAuth: false });
}

//获取最新物流
export function getchecktimeLogistics(data) {
  return request.post('order/checktimeLogistics', data, { noAuth: true });
}

//获取疑问解答数据
export function getanswerquestionslst(data){
	return request.post('order/answerquestions',data,{noAuth:false})
}


//获取购物车数量
export function cart_count(data){
	return request.get("goods/cart_count", data, { noAuth: false });
}