import {
  SiteBaseUrl,
  Private_key
} from './config.js';
import request from "./utils/request.js";
import util from "./utils/util.js";


App({
  onLaunch: function (option) {
    // console.info(option,"option");

    wx.removeStorageSync('change_city');//清除缓存

    if (SiteBaseUrl == '') {
      console.error("请配置根目录下的config.js文件中的 'HTTP_REQUEST_URL'\n\n请修改开发者工具中【详情】->【AppID】改为自己的Appid\n\n请前往后台【小程序】->【小程序配置】填写自己的 appId and AppSecret");
      return false; 
    };
    var that = this;
    if (option.query.hasOwnProperty('scene')) {
      switch (option.scene) {
        //扫描小程序码
        case 1047:
          that.globalData.code = option.query.scene;
          break;
          //长按图片识别小程序码
        case 1048:
          that.globalData.code = option.query.scene;
          break;
          //手机相册选取小程序码
        case 1049:
          that.globalData.code = option.query.scene;
          break;
          //直接进入小程序
        case 1001:
          that.globalData.spid = option.query.scene;
          break;
      }
    }
    // 获取导航高度；
    wx.getSystemInfo({
      success: res => {
        //导航高度
        this.globalData.navHeight = res.statusBarHeight * (750 / res.windowWidth) + 97;
      },
      fail(err) {}
    });
    const updateManager = wx.getUpdateManager();

    updateManager.onCheckForUpdate(function (res) {
      // 请求完新版本信息的回调
      console.log('小程序自动更新最新版本' + res.hasUpdate);
    })

    updateManager.onUpdateReady(function () {
      wx.showModal({
        title: '更新提示',
        content: '新版本已经准备好，是否重启应用？',
        success: function (res) {
          if (res.confirm) {
            // 新的版本已经下载好，调用 applyUpdate 应用新版本并重启
            updateManager.applyUpdate()
          }
        }
      })
    });

    updateManager.onUpdateFailed(function () {
      return that.Tips({
        title: '新版本下载失败'
      });
    })
    //实例化聊天服务
  },
  globalData: {
    systemInfo:{},

    url: SiteBaseUrl,
    // ImgPath: "https://luma.jxdsy.cn",
    // clientImgPath: "https://luma.jxdsy.cn/static/applet5",
    // staticUrl:'https://luma.jxdsy.cn/attachs/',

    ImgPath: "https://pindev.jxdsy.cn",
    clientImgPath: "https://pindev.jxdsy.cn/static/applet5",
    // staticUrl:'https://pindev.jxdsy.cn/attachs/',
    staticUrl:"https://luma.jxdsy.cn/attachs/",

    private_key: Private_key,
    navHeight: 0,
    routineStyle: '#ffffff',
    openPages: '',
    spid: 0,
    code: 0, 
    urlImages: '',
    expiresTime: 0,
    MyMenus: [],
    userInfo: {},
    myLatitude: '',
    myLongitude: '',
    CONFIG: [],
    storeInfo: [],
    shopType: "ele",
    is_closed:1,
  },

  /**
   * 图片路径处理
   */
  IMG: function (img) {
    let base = this.globalData.ImgPath;
    img = img == undefined ? '' : img;
    img = img == 0 ? '' : img;
    if (img.indexOf('http://') == -1 && img.indexOf('https://') == -1 && img != '') {
      img = img.substring(0, 7) != 'attachs' ? img = "/attachs/" + img : img;
      img = base + img;
    }
    return img;
  },
  //微信提示 函数
  showToast: function (param) {
    util.showToast(param)
  },
  //隐藏加载提示
  hideToast: function () {
    util.hideToast()
  },
  //模态框提示
  showModal: function (param) {
    util.showModal(param)
  },
  getCurrentPageUrlWithArgs: function () {
    return escape(util.getCurrentPageUrlWithArgs());
  },
  getCurrentPageUrl: function () {
    return escape(util.getCurrentPageUrl());
  },
  //判断程序升级更新
  gengxin: function () {

    var e = wx.getUpdateManager();
    e.onCheckForUpdate(function (n) {}), e.onUpdateReady(function () {
      wx.showModal({
        title: "更新提示",
        content: "新版本已经准备好，是否重启应用？",
        success: function (n) {
          n.confirm && e.applyUpdate();
        }
      });
    }), e.onUpdateFailed(function () {});
  },
    //获取地址栏中的参数
  GetQueryString: function (strurl, name) {
      var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
      var r = strurl.substr(1).match(reg);
      if (r != null) {
        return unescape(r[2]);
      }
      return null;
    }
})