// components/Calendar/Calendar.js
const app = getApp();
var clientImgPath = app.globalData.clientImgPath;
var img_host = app.globalData.ImgPath;
var staticUrl = app.globalData.staticUrl;
import { formatZero } from "../../utils/util";

import { Spellsign, getSignInfo } from "../../api/lmping.js";

Component({
  /**
   * 组件的属性列表
   */
  properties: {
    signdates: {
      type: Array,
      value: [],

    },
    sendYear: {
      type: Number,
      value: new Date().getFullYear()
    },
    sendMonth: {
      type: Number,
      value: new Date().getMonth() + 1
    },
    dataSource: { //已签到的数据源
      type: Array,
      value: []
    },
    langType: { //只是示例一个翻译而已，要想所有都翻译自己可以再加加
      type: String,
      value: 'ch'
    },
  },
  observers: {
    'signdates': function (field) {
      this.properties.signdates = field

    },
  },
  attached() {

    // this.data.cur_year = this.properties.sendYear;
    // this.data.cur_month = this.properties.sendMonth;
    // this.data.SignUp = this.properties.dataSource;
    console.log(this.data.days)
    console.log(this.properties.signdates)

    this.setData({
      cur_year: this.properties.sendYear,
      cur_month: this.properties.sendMonth,
    })
    this.calculateEmptyGrids(this.data.cur_year, this.data.cur_month);

    this.calculateDays(this.data.cur_year, this.data.cur_month);

    this.onJudgeSign();


  },
  watch: {
    dataSource: 'onResChange',
  },

  /**
   * 组件的初始数据
   */
  data: {
    days: [],
    SignUp: [],
    cur_year: 0, //当前选的年
    cur_month: 0, //当前选的月
    today: parseInt(new Date().getDate()), //本日
    toMonth: parseInt(new Date().getMonth() + 1), //本月
    toYear: parseInt(new Date().getFullYear()), //本年
    weeks_ch: ['日', '一', '二', '三', '四', '五', '六'],
    weeks_en: ['Sun', 'Mon', 'Tues', 'Wed', 'Thur', 'Fri', 'Sat'],
    total_count: '',
    showeggs: true,

    clientImgPath,
    img_host,
    staticUrl,

    showpuptwos: false,
    datesindex: 0,
    huodecup: 5,
  },

  /**
   * 组件的方法列表
   */
  methods: {
    //快速签到事件 父组件调用
    tosigs() {
      // console.info("触发进来了~");
      this.clickSignUp({ currentTarget: { dataset: { type: 1, date: 1, index: 1 } } });
    },
    showpupfun() {
      this.setData({
        showpuptwos: true
      })
    },
    onClosetwos() {
      this.setData({
        showpuptwos: false,
      })
    },
    alreadySign() {

      wx.showToast({
        title: '不能重复签到',
        icon: 'none'
      })

    },
    beforesign() {
      wx.showToast({
        title: '不能提前签到',
        icon: 'none'
      })
    },
    // 获取当月共多少天
    getThisMonthDays(year, month) {
      return new Date(year, month, 0).getDate()
    },
    // 获取当月第一天星期几
    getFirstDayOfWeek(year, month) {
      return new Date(Date.UTC(year, month - 1, 1)).getDay();
    },
    // 计算当月1号前空了几个格子，把它填充在days数组的前面
    calculateEmptyGrids(year, month) {
      //计算每个月时要清零
      this.setData({
        days: []
      })
      const firstDayOfWeek = this.getFirstDayOfWeek(year, month);
      if (firstDayOfWeek > 0) {
        for (let i = 0; i < firstDayOfWeek; i++) {
          var obj = {
            date: null,
            isSign: false
          }
          this.data.days.push(obj);
        }
        this.setData({
          days: this.data.days
        })
      }
    },

    // 绘制当月天数占的格子，并把它放到days数组中
    calculateDays(year, month) {
      this.triggerEvent('counts', this.data.total_count)
      let that = this
      console.log(year, month)
      const thisMonthDays = this.getThisMonthDays(year, month);
      // this.columnsLen=Math.ceil(thisMonthDays/7);
      // console.log(this.columnsLen);
      for (let i = 1; i <= thisMonthDays; i++) {
        var obj = {
          date: i,
          isSign: false
        }
        this.data.days.push(obj);
        // this.setData({
        //   days:this.data.days.push(obj)
        // })
      }
      console.log(this.properties.dataSource)
      this.getSignInfofun();


    },
    getSignInfofun() {
      console.info(`${this.data.cur_year}-${formatZero(this.data.cur_month, 2)}`, "666");
      getSignInfo({
        month: `${this.data.cur_year}-${formatZero(this.data.cur_month, 2)}`
      }).then(res => {
        if (res.code == 0) {
          let daysdata = res.data.list
          let days = this.data.days.map((item, index) => {
            // console.log(item)
            daysdata.map((itm) => {
              if (item.date == itm.day) {
                item.isSign = true
              }

              if (item.date == this.data.today && this.data.cur_month == this.data.toMonth && this.data.cur_year == this.data.toYear && item.date == itm.day) {
                // this.setData({
                //   datesindex:index,
                // })
                console.info("开发测试", "今日已签到");
                this.triggerEvent('changestate', 1);//修改状态
              }

            })

            //
            if (item.date == this.data.today && this.data.cur_month == this.data.toMonth && this.data.cur_year == this.data.toYear) {
              this.setData({
                datesindex: index,
              })
            }

            return item;
          })
          this.setData({
            days
          })
          let obj = { signCount: res.data.signCount, continuity_day: res.data.continuity_day, couponNum: res.data.couponNum };
          this.triggerEvent('setcounts', obj)
        }
      })
    },

    onResChange(newD, oldD) {
      this.SignUp = newD;
      this.onJudgeSign();
    },
    //匹配判断当月与当月哪些日子签到打卡
    onJudgeSign() {
      var signs = this.data.SignUp;
      var daysArr = this.data.days;
      for (var i = 0; i < signs.length; i++) {
        var current = new Date(signs[i].replace(/-/g, "/"));
        var year = current.getFullYear();
        var month = current.getMonth() + 1;
        var day = current.getDate();
        day = parseInt(day);
        for (var j = 0; j < daysArr.length; j++) {
          //年月日相同则打卡成功   						
          if (year == this.cur_year && month == this.cur_month && daysArr[j].date == day) { //&& signs[i].isSign == "今日已打卡"
            // console.log(daysArr[j].date, day);
            daysArr[j].isSign = true;

            console.info("开发测试123");
          }
        }
      }
      // this.days = daysArr;
      this.setData({
        days: daysArr
      })
    },

    // 切换控制年月，上一个月，下一个月
    handleCalendar(event) {

      var type = event.currentTarget.dataset.type;
      const cur_year = parseInt(this.data.cur_year);
      const cur_month = parseInt(this.data.cur_month);



      var newMonth;
      var newYear = cur_year;
      if (type === 0) { //上个月
        // console.log(111111111111111111111111)
        newMonth = cur_month - 1;
        if (newMonth < 1) {
          newYear = cur_year - 1;
          newMonth = 12;
        }
      } else {
        newMonth = cur_month + 1;
        if (newMonth > 12) {
          newYear = cur_year + 1;
          newMonth = 1;
        }
      }

      // console.info(cur_month,"cur_month");
      // console.info(newMonth,"newMonth");
      // return;

      this.setData({
        newYear,
        newMonth,

        cur_month: newMonth,//addxx
        cur_year: newYear,


      })
      this.calculateEmptyGrids(newYear, newMonth);
      this.calculateDays(newYear, newMonth);

      // this.data.cur_year = newYear;
      // this.data.cur_month = newMonth;

      // this.data.SignUp = []; //先清空
      this.setData({
        cur_year: newYear,
        cur_month: newMonth,
        SignUp: [],
      })
      this.triggerEvent('dateChange', this.data.cur_year + "-" + this.data.cur_month); //传给调用模板页面去拿新数据				
    },

    // clickSignUp(date, type)
    clickSignUp(value) { //type=0补签，type=1当日签到		
      console.log(value.currentTarget.dataset.index)
      let type = value.currentTarget.dataset.type
      let date = value.currentTarget.dataset.date
      let index = value.currentTarget.dataset.index
      console.info("index", this.data.datesindex);
      // return false
      var str = "签到";
      if (type == 0) { //如果不需要补签功能直接在这阻止不执行后面的代码就行。
        // str = "补签";
        wx.showToast({
          title: '不支持补签',
          icon: 'none',
        });
        return false
      }
      Spellsign({
        sign_status: 1
      }).then(res => {
        if (res.code == 0) {
          //this.calculateDays(this.data.cur_year, this.data.cur_month);//重新请求一次
          //refresh

          // this.data.days[this.data.datesindex].isSign = true
          // this.setData({
          //   days: this.data.days
          // })

          this.setData({
            showpuptwos: true,
          })

          this.getSignInfofun();

          this.onJudgeSign();
        } else {

          //测试
          wx.showToast({
            title: res.msg,
            icon: 'none'
          });
        }
      })
    }
  }
})