
const app = getApp();
var clientImgPath = app.globalData.clientImgPath;
import {sendSms} from "../../api/basicInformation.js";

Component({
  /**
   * 组件的属性列表
   */
  properties: {
    //手机号码
    phone: {
      type: String,
      default: "",
    },
    //操作类型
    type: {
      type: String,
      default: "1",//默认
    }
    // 1：提现验证
  },

  /**
   * 组件的初始数据
   */
  data: {
    // 隐藏
    hideModal: true, //模态框的状态  true-隐藏  false-显示
    clientImgPath: clientImgPath,
    issettle: true,//是否设置手机号码  设置 true 没有设置false
    //phone:"",//手机号码
    code:"",//验证码
    datesis:60,//倒计时

    
  },

  /**
   * 组件的方法列表
   */
  methods: {
    
    // 显示遮罩层
    showModal: function () {

      /* 这里需要一个接口来检测用户是否设置了手机号码 */
      /* 如果没有设置手机号码 应该提示用户让用户去设置手机号码 */
      /* 。。。。。。 */

      var that = this;
      if(that.data.phone==""){
        that.setData({
          issettle:false,
        });
      }
      that.setData({
        hideModal: false,
        isFolded: false,
      })
      var animation = wx.createAnimation({
        duration: 0,//动画的持续时间 默认400ms   数值越大，动画越慢   数值越小，动画越快
        timingFunction: 'ease',//动画的效果 默认值是linear
      })
      this.animation = animation
      setTimeout(function () {
        that.fadeIn();//调用显示动画
      }, 0)
    },
    // 隐藏遮罩层
    hideModal: function () {
      var that = this;
      
      setTimeout(function () {
        that.setData({
          hideModal: true,
          isFolded: true,
        })
      }, 0)//先执行下滑动画，再隐藏模块

      //触发父组件的提交事件
    },
    //确定按点击后
    confirm() {
      if (!(/^1[3456789]\d{9}$/.test(this.data.phone))) {
        wx.showToast({
          title: '手机号码有误',
          icon: 'none',
        })
      } else if(this.data.code==""){
        wx.showToast({
          title: '验证码不能为空',
          icon: 'none',
        })
      }else{
        //this.hideModal();//隐藏 
        this.triggerEvent("formsubmit", { code: this.data.code, phone: this.data.phone,  });//提交表单 type:this.data.type
        this.setData({
          code:''
        });
      }
      /***
       * 
       * 
       * 
       */
    },
    //动画集
    fadeIn: function () {
      this.animation.translateY(0).step()
      this.setData({
        animationData: this.animation.export()//动画实例的export方法导出动画数据传递给组件的animation属性
      })
    },
    fadeDown: function () {
      this.animation.translateY(300).step()
      this.setData({
        animationData: this.animation.export(),
      })
    },
    //双向绑定手机号码
    changeinpinttel(e){
      this.setData({
        phone: e.detail.value,
      })
    },
    //双向绑定验证码
    changeinpintcode(e) {
      this.setData({
        code: e.detail.value,
      })
    },
    //去设置手机号码
    tosetel(){
      wx.navigateTo({
        url: '/pages/personal/set/set',
      })
    },
    
    //发送验证码按钮点击后
    shendcodefun(){
      console.info("124");
      if (!(/^1[3456789]\d{9}$/.test(this.data.phone))) {
        
        wx.showToast({
          title: '手机号码有误',
          icon: 'none',
        })

      } else {
        //。。。 请求发送验证码的接口

        sendSms({
          mobile: this.data.phone,
          smstype:this.data.type,
        }).then((res)=>{
          if(res.code==0){
            wx.showToast({
              title: res.msg,
              icon: 'none',
            })
            //倒计时代码
            let timeid = setInterval(() => {
              this.setData({
                datesis: this.data.datesis - 1,
              })
              if (this.data.datesis <= 0) {
                clearInterval(timeid);
                this.setData({
                  datesis: 60,
                })
              }
            }, 1000)

          }else{
            wx.showToast({
              title: res.msg,
              icon: 'none',
            })
          }
        }).catch((e)=>{
          console.info(e);
          wx.showToast({
            title: e,
            icon: 'none',
          })

        })
      }
    }
  }
})
