// components/dialog/method_payment/method_payment.js
const app = getApp();
import {
  getUserInfo
} from '../../../api/user.js';
var clientImgPath = app.globalData.clientImgPath;
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    innerText: {
      type: String,
      value: 'hello world'
    },
    amount: {
      type: Number,
      value: 0
    },
    disprice: {
      type: String,
      value: '0'
    },
    buy_type: {
      type: Number,
      value: 1
    },
    coupon_price: {
      type: String,
      value: '0'
    },
    direct: {
      type: Boolean,
      value: false
    },
    needs_pay: {
      type: Number,
      value: ''
    },
    directs: {
      type: Boolean,
      value: false
    },
    discounts: {
      type: Number,
      value: ''
    },
    commission: {
      type: Number,
      value: ''
    },
    bindshows: {
      type: Boolean,
      value: ''
    },
    
    bindshow: {
      type: Boolean,
      value: ''
    },
    code: {
      type: String,
      value: ''
    },
    number: {
      type: Number,
      value: -1
    },
    totals: {
      type: Number,
      value: ''

    },
    mingle: {
      type: String,
      value: ''
    },
    applet: {
      type: Number,
      value: ''
    },
    indent: {
      type: Number,
      value: 1
    },
    paytype:{
      type:String,
      value:''
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    // 隐藏
    hideModal: true, //模态框的状态  true-隐藏  false-显示
    animationData: {}, //
    isFolded: true,
    need_pay: 0,
    pay_way: 'weixin',
    clientImgPath: clientImgPath,
    
  },
  pageLifetimes: {

    show: function () {
      // 页面被展示
      let need_pay = (this.data.amount - this.data.disprice - this.data.coupon_price).toFixed(2)

      this.setData({
        need_pay: this.data.direct || this.data.directs ? this.data.amount : need_pay,
      })
      this.getUserInfo();
    },
    hide: function () {
      // 页面被隐藏
    },
    resize: function (size) {
      // 页面尺寸变化
    }
  },
  lifetimes: {
    attached: function () {

      console.log('到这一步1111')
      console.log(this.data.amount, this.data.disprice, this.data.coupon_price)
      // 在组件实例进入页面节点树时执行
      let need_pay = (this.data.amount - this.data.disprice - this.data.coupon_price).toFixed(2)
      this.setData({
        need_pay: this.data.direct || this.data.directs ? this.data.amount : need_pay,
      })
      this.getUserInfo();
    },
    detached: function () {
      // 在组件实例被从页面节点树移除时执行
    },
  },
  /**
   * 组件的方法列表
   */
  methods: {
    // 选择
    radiochange: function (e) {
      let value = e.detail.value
      console.log(e, this.data.direct)
      console.log(this.data.amount, this.data.disprice, this.data.coupon_price)

      let need_pay = (this.data.amount - this.data.disprice - this.data.coupon_price).toFixed(2)


      if (value == 'weixin') {
        this.setData({
          need_pay: need_pay,
          pay_way: value
        })
      } else {

        this.setData({
          need_pay: need_pay,
          pay_way: value
        })
      }
    },
    // 显示遮罩层
    showModal: function () {

      var that = this;

      let need_pay = (this.data.amount - this.data.disprice - this.data.coupon_price).toFixed(2)


      that.setData({
        hideModal: false,
        isFolded: false,
        need_pay: this.data.direct || this.data.directs || this.data.needs_pay ? this.data.amount : need_pay,
        commission: that.data.code == 'commission' ? 'commission' : '',
        pay_way: that.data.code == 'weixin' || that.data.code == 'ysf' || that.data.code == 'alipay' ? 'weixin' : that.data.code == 'money' ? 'money' : that.data.code == 'commission' ? 'commission' : that.data.direct || this.data.directs ? 'money' : 'weixin'
      })
      var animation = wx.createAnimation({
        duration: 0, //动画的持续时间 默认400ms   数值越大，动画越慢   数值越小，动画越快
        timingFunction: 'ease', //动画的效果 默认值是linear
      })
      this.animation = animation
      setTimeout(function () {
        that.fadeIn(); //调用显示动画
      })
    },
    // 隐藏遮罩层
    hideModal() {
      var that = this;
      var animation = wx.createAnimation({
        duration: 0, //动画的持续时间 默认400ms   数值越大，动画越慢   数值越小，动画越快
        timingFunction: 'ease', //动画的效果 默认值是linear
      })
      this.animation = animation
      setTimeout(function () {
        that.setData({
          hideModal: true,
          isFolded: true,
        })
      }, 0) //先执行下滑动画，再隐藏模块     

    },
    hideModalPass() {
      var that = this;
      that.hideModal();
      this.triggerEvent("paymentCode", {
        need_pay: that.data.need_pay,
        pay_way: that.data.pay_way,
        commission: that.data.commission
      });
      
    },
    //动画集
    fadeIn: function () {
      this.animation.translateY(0).step()
      this.setData({
        animationData: this.animation.export() //动画实例的export方法导出动画数据传递给组件的animation属性
      })
    },
    fadeDown: function () {
      this.animation.translateY(800).step()
      this.setData({
        animationData: this.animation.export(),
      })
    },
    /**
     * 获取个人用户信息
     */
    getUserInfo: function () {
      var that = this;
      let params = {};
      let hasmoney = 0;
      getUserInfo(params).then(res => {
        if (res.code == 0) {
          wx.setStorageSync('userInfo', res.data);
          wx.setStorageSync('user_id', res.data.info.user_id);
          if (res.data.info.money > 0) {
            hasmoney = 1;
          }
          that.setData({
            hasmoney: hasmoney,
            usermoney: res.data.info.money
          })
          console.log("结果集1", that.data.usermoney);
        }


      })
    },
  }
})