Component({
  /**
   * 组件的属性列表
   */
  properties: {
    innerText: {
      type: String,
      value: 'hello world'
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    // 隐藏
    hideModal: true, //模态框的状态  true-隐藏  false-显示
    animationData: {},//
    isFolded: true,
    // 文本域
    max: 80, //最多字数 (根据自己需求改变) 
    currentWordNumber: 0
  },

  /**
   * 组件的方法列表
   */
  methods: {
    // 显示遮罩层
    showModal: function () {
      var that = this;
      that.setData({
        hideModal: false,
        isFolded: false,
      })
      var animation = wx.createAnimation({
        duration: 600,//动画的持续时间 默认400ms   数值越大，动画越慢   数值越小，动画越快
        timingFunction: 'ease',//动画的效果 默认值是linear
      })
      this.animation = animation
      setTimeout(function () {
        that.fadeIn();//调用显示动画
      }, 200)
    },

    // 隐藏遮罩层
    hideModal: function () {
      var that = this;
      var animation = wx.createAnimation({
        duration: 800,//动画的持续时间 默认400ms   数值越大，动画越慢   数值越小，动画越快
        timingFunction: 'ease',//动画的效果 默认值是linear
      })
      this.animation = animation
      that.fadeDown();//调用隐藏动画   
      setTimeout(function () {
        that.setData({
          hideModal: true,
          isFolded: true,
        })
      }, )//先执行下滑动画，再隐藏模块

      this.triggerEvent("competeRemark", {});
    },
    //动画集
    fadeIn: function () {
      this.animation.translateY(0).step()
      this.setData({
        animationData: this.animation.export()//动画实例的export方法导出动画数据传递给组件的animation属性
      })
    },
    fadeDown: function () {
      this.animation.translateY(300).step()
      this.setData({
        animationData: this.animation.export(),
      })
    },
    //字数限制  
    inputs: function (e) {
      // 获取输入框的内容
      var value = e.detail.value;
      // 获取输入框内容的长度
      var len = parseInt(value.length);
      //最少字数限制
      if (len <= this.data.min)
        this.setData({
          texts: "至少还需要",
          textss: "字",
          num: this.data.min - len
        })
      else if (len > this.data.min)
        this.setData({
          texts: " ",
          textss: " ",
          num: ''
        })

      this.setData({
        currentWordNumber: len, //当前字数  
        inputValue:value,  
      });
      //this.triggerEvent('inputValue', value);
      console.log(this.data)
      //最多字数限制
      if (len > this.data.max) return;
      // 当输入框内容的长度大于最大长度限制（max)时，终止setData()的执行

      //this.triggerEvent("istaps1");
      this.triggerEvent("change", e.detail.value);
      
    }
  }
})
