//商家商城订单详情
const app = getApp();
var clientImgPath = app.globalData.clientImgPath;
var img_host = app.globalData.ImgPath;
var staticUrl = app.globalData.staticUrl;
import {
  orderStatus,
  orderGoodsList,
  requestOrder
} from '../../../api/shop.js';
import Utils from "../../../utils/util.js";
import luma from '../../../utils/luma.js';
Page({
  /**
   * 页面的初始数据
   */
  data: {
    img_host: app.globalData.ImgPath,
    currentTab: 0,
    order: [],
    pageNum: 1,
    is_loading_done: false,
    statusTab: '1',
    clientImgPath: clientImgPath,
    staticUrl,

  },
  //点击切换
  clickTab: function (e) {
    //debugger;
    var that = this;
    if (this.data.currentTab === e.target.dataset.current) {
      return false;
    } else {
      that.setData({
        currentTab: e.target.dataset.current,
      })
    }
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this;
    that.setData({
      statusTab: options.current ? options.current : "1", // 订单状态
      status: options.status ? options.status : "1",
      is_dianping: options.is_dianping ? options.is_dianping : 0,
    })
    let params = {};
    orderStatus(params).then(res => {
      if (res.code == 0) {
        let order_status_list = Utils.checkArray(res.data) ? res.data : [];
        that.setData({
          order_status_list: order_status_list,
        })
      }
    })
    that.initializedata();
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    var that = this;
    var pageNum = that.data.pageNum;
    that.setData({
      pageNum: 1,
      order: [],
      is_loading_done: false
    })
    wx.showToast({
      title: '正在刷新',
      icon: 'loading',
      mask: true
    })
    that.initializedata();
    wx.stopPullDownRefresh();
  },
  loadmore: function () {
    var that = this;
    var pageNum = parseInt(that.data.pageNum) + 1;
    that.setData({
      pageNum: pageNum
    })
    that.initializedata()
  },
  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function (e) {
    var that = this;
    var is_loading_done = that.data.is_loading_done; //是否加载完毕
    if (is_loading_done == false) { //还没加载完毕则继续加载
      wx.showLoading({
        title: '加载中',
        mask: false
      })
      that.loadmore();
    } else {
      wx.showLoading({
        title: '已全部加载完毕',
        mask: false
      })
      setTimeout(function () {
        wx.hideLoading()
      }, 1000)
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  /**
   * 顶部导航选中
   */
  selectOrderStatus: function (event) {
    let that = this;
    let statusTab = event.currentTarget.dataset.statustab;
    let status = event.currentTarget.dataset.status;
    let is_dianping = event.currentTarget.dataset.is_dianping;
    let sale_status = event.currentTarget.dataset.sale_status;
    that.setData({
      order: [],
      statusTab: statusTab,
      status: status,
      is_dianping: is_dianping,
      sale_status: sale_status,
      is_loading_done: false,
      currentTab: event.target.dataset.current,
      pageNum: 1,
    })
    that.initializedata();
  },
  /**
   * 初始化数据
   */
  initializedata: function () {
    var that = this;
    let params = {
      status: that.data.status,
      is_dianping: that.data.is_dianping,
      sale_status: that.data.sale_status,
      page: parseInt(that.data.pageNum) ? parseInt(that.data.pageNum) : (0 + 1),
    };
    orderGoodsList(params).then(res => {
      console.log(res);
      if (res.data == null || res.data.length == 0) {
        that.setData({
          is_loading_done: true,
        })
      } else {
        var my_order = that.data.order;
        my_order = my_order.concat(res.data);
        that.setData({
          order: my_order,
        })
      }
      wx.hideLoading();
    })
  },
  /**
   * 订单操作
   */
  operation: function (event) {
    console.log(event)
    let that = this;
    let action = event.currentTarget.dataset.action;
    let order_id = event.currentTarget.dataset.orderid;
    let vendor_id = event.currentTarget.dataset.vendor_id;
    console.log(vendor_id)
    switch (action) {
      case 'oneKeyCancel': //一键核销
        that.oneShowModal(order_id, action, "是否一键核销", "核销成功资金将立即到账");
        break;
      case 'oneKeyShipments': //一键发货
        that.express(order_id, action,vendor_id);
        break;
      case 'checkLogistics': //查看物流
        that.logistics(order_id, action,vendor_id);
        break;
      case 'orderDetails': //订单详情
        that.orderDetails(order_id);
        break;
      case 'consentRefund': //同意退款
        that.oneShowModal(order_id, action, "是否同意退款", "订单资金将会原路退回，结束此订单");
        break;
      case 'refuseRefund': //拒绝退款
        that.oneShowModal(order_id, action, "是否拒绝退款", "若拒绝退款，该订单将按正常下单流程继续进行");
        break;
      default:
        that.requestOrder(order_id, action);
        break;
    }
  },
  //查看物流
  logistics: function (order_id, action,vendor_id) {
    wx.navigateTo({
      url: '/pages/check_logistics/check_logistics?order_id=' + order_id + '&action=' + action+ '&vendor_id=' + vendor_id
    })
  },
  //跳转订单详情
  orderDetails: function (order_id) {
    wx.navigateTo({
      url: '/pages/Ishop/weidianLine_merchant_item/weidianLine_merchant_item?order_id=' + order_id,
    })
  },
  // 跳转发快递订单
  express: function (order_id, action,vendor_id) {
    wx.navigateTo({
      url: '/pages/Ishop/express/express?order_id=' + order_id + '&action=' + action+ '&vendor_id=' + vendor_id
    })
  },
  oneShowModal: function (order_id, action, title, content) {
    var that = this;
    wx.showModal({
      title: title ? title : '提示',
      content: content,
      success: function (res) {
        if (res.confirm) {
          that.requestOrder(order_id, action);
        }
      }
    })
  },
  //请求后台操作订单
  requestOrder: function (order_id, action) {
    var that = this;
    let params = {
      order_id: order_id,
      action: action,
    };
    requestOrder(params).then(res => {
      if (res.code == 0) {
        wx.showModal({
          title: '提示',
          content: res.msg,
          showCancel: false,
          success(res) {
            wx.redirectTo({
              url: '/pages/personal/Ishop/weidianLine_list_merchant/weidianLine_list_merchant?status=' + that.data.status + "&current=" + that.data.statusTab,
            })
          }
        })
      } else {
        app.showToast({
          title: res.msg,
        });
      }
    })
  },
  jumpDd(e) {
    let shop_id = e.currentTarget.dataset.shop_id;
    luma.bindclassifyUrl(shop_id);
  },
})