var app = getApp();
import { addrList, deleteAddr,setDefaultAddr } from "../../api/basicInformation.js";
Page({

  /**
   * 页面的初始数据
   */
  data: {
    addr_list : [],
    clientImgPath: app.globalData.clientImgPath,

    type:'0', //0普通进入  1外卖地址进入  2商城地址进入

    hidden:false,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
   
  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    //授权弹窗
    if(!wx.getStorageSync('userInfo')){
      this.setData({
        hidden:true,
      });
      return;
    }
    
    this.init();
  },
  setUserInfo(e) { //点击了授权 
    if (e.detail) {
      this.setData({
          hidden: false,
      });
      
      this.init();
      
    }
  },
  init(){
    addrList({type:this.data.type}).then(res=>{
      this.setData({
          addr_list : res.data
        })
    })
  },
  addNewAddr(){
    wx.navigateTo({
      url: '/pages/new_address/new_address?type='+this.data.type,
    })
  },
  change(e){
    let items=e.currentTarget.dataset.items;
    wx.navigateTo({
      url: '/pages/new_address/new_address?isedit=' + JSON.stringify(items)
    }) 
  },
  deleteAddr(e){
    var that = this
   wx.showModal({
     title: '提示',
     content: '确认删除?',
     confirmText: '确认',
     showCancel: true,
     success: function (res) {
       if (res.confirm) {
         var data = {
           addr_id: e.currentTarget.dataset.id
         }
         deleteAddr(data).then(res => {
           if (res.code == 0) {
             /*wx.showModal({
               title: '提示',
               content: '删除成功',
               confirmText: '确认',
               showCancel: false,
              success:function(res){
                that.init();
               }
             })
             */
             that.init();
           } else {
             wx.showModal({
               title: '提示',
               content: res.msg,
             })
           }
         })
       }
     }
   })
  },
  //设置默认地址
  setDefaultAddr(e){
    console.log(e)
    let index=e.target.dataset.index;//点击的下标
    let addr_id=e.detail.value[0];//点击的地址id
    let type=e.target.dataset.type;//点击的地址类型
    let addr_list=this.data.addr_list;

    console.log(index,addr_id,type,addr_list)
    setDefaultAddr({
      addr_id:addr_id,
      type:type
    }).then(res=>{
      wx.showToast({
        title: res.data,
        icon: 'none'
      })
      if(res.code==0){
        addr_list.map((item,index)=>{
          if(item.type==type){
            if(item.addr_id==addr_id){
              item.is_default=1;
            }else{
              item.is_default=0;
            }
          }
        })
        this.setData({addr_list});
      }
    }).catch(err=>{
      wx.showToast({
        title: err. data,
        icon: 'none'
      })
    })
  }
})