const app = getApp();
import { getWxBankList, addBank } from '../../api/basicInformation.js';
import { getMemberInfo } from '../../api/user.js';
var clientImgPath = app.globalData.clientImgPath;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    // input
    inputLength: 0,
    show: false, //控制下拉列表的显示隐藏，false隐藏、true显示
    host_img: app.globalData.ImgPath,
    index: 0, //选择的下拉列 表下标,
    clientImgPath: clientImgPath,
    hidden: false,//是否显示授权弹窗

  },
  // 外面的弹窗
  btn: function () {
    this.setData({
      showModal: true
    })
  },
  // 联系客服
  callTel: function (e) {
    wx.makePhoneCall({
      phoneNumber: e.currentTarget.dataset.tel // 仅为示例，并非真实的电话号码
    })
  },
  // 禁止屏幕滚动
  preventTouchMove: function () {
  },

  // 弹出层里面的弹窗
  ok: function () {
    this.setData({
      showModal: false
    })
  },
  //获取 input值
  bindKeyInput: function (e) {
    console.log(e)
    var that = this;
    that.setData({
      inputValue: e.detail.value,
      inputLength: e.detail.cursor,
    })
  },
  
 
  setUserInfo(e){ //点击了授权
    if(e.detail){
      this.opgetMemberInfo();
      this.getBankList();
    }
  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow () {
    // if( !wx.getStorageSync('userInfo') ){
    //   this.setData({ hidden:true });
    //   return;
    // }
    this.setData({ hidden:false });
    this.opgetMemberInfo();
    this.getBankList();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  // 点击下拉显示框
  selectTap() {
    this.setData({
      show: !this.data.show,
    });
  },
  // 点击下拉列表
  optionTap(e) {
    let that = this;
    let bankid = e.currentTarget.dataset.bankid; //获取点击的下拉列表的下标
    let index = e.currentTarget.dataset.index; //获取点击的下拉列表的下标
    that.setData({
      bankid: bankid,
      bank_name_text: that.data.banklist[index]['bank_name'],
      show: !that.data.show
    });
    //console.log(that.data.bank_name_text)
  },
  getBankList: function () {
    let that = this;
    getWxBankList().then(res => {
      that.setData({
        banklist: res.data,
        bank_name_text: res.data[0]['bank_name']
      })
    }).catch(err=>{
      if( res.data.code == -10800 ){
        that.setData({ hidden:true });
      }
    })
  },
  formSubmit: function (e) {
    console.log(e)
    var that = this;
    let formdata = e.detail.value;
    let bank_id = that.data.bankid;
    if (!that.data.bankid) {
      bank_id = that.data.banklist[0]['id'];
    }
    
    if (!CheckBankNo(formdata.cardno)){
      app.showModal({ content: "银行卡号不正确" });
      return false
    }

    let params = {
      formid: e.detail.formId,
      cardno: formdata.cardno,
      branch: formdata.branch,
      realname: formdata.realname,
      bank_id: bank_id,
    }
    // console.log('form发生了submit事件，携带数据为：', e)

    addBank(params).then(res => {
      if (res.code < 0) {
        app.showModal({ content: res.msg })
      } else {
        /* app.showModal({
          content: res.msg,
          url: "/pages/personal/withdraw/bankCard_list/bankCard_list"
        }) */
        wx.navigateBack({
          delta: 1
      })
      }
    })

  },
  opgetMemberInfo:function(){
    getMemberInfo().then(res => {
       this.setData({
         member: res.data.member,
       });
    })
  },

})

function CheckBankNo(t_bankno) {
  var bankno = t_bankno.trim();
  console.log(bankno)

  if (bankno == "") {
    return false;
  }
  if (bankno.length < 15 || bankno.length > 20) {
    return false;
  }
  //开头6位
  var strBin = "10,18,30,35,37,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,58,60,62,65,68,69,84,87,88,94,95,98,99";
  if (strBin.indexOf(bankno.substring(0, 2)) == -1) {
    return false;
  }
  return true;

}