const app = getApp();
import {
  bankList,
  deleteBank
} from '../../api/basicInformation.js';
var clientImgPath = app.globalData.clientImgPath;
Page({
  /**
   * 页面的初始数据
   */
  data: {
    host_img: app.globalData.ImgPath,
    clientImgPath: clientImgPath,
    hidden: false, //是否显示授权弹窗
    issel:0,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this;
    that.setData({
      type: options.type,
      url: options.url ? unescape(options.url) : "",
      issel:options.issel,//是否过来选地址 1是 否则不是
    })
  },
  
  setUserInfo(e){ //点击了授权
    if(e.detail){
      this.getUserBankList();
    }
  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow () {
    // if( !wx.getStorageSync('userInfo') ){
    //   this.setData({ hidden:true });
    //   return;
    // }
    this.setData({ hidden:false });
    this.getUserBankList();
  },
  // 跳转添加银行卡
  bankCard: function (e) {

    wx.navigateTo({
      url: '/pages/bankCard/bankCard',
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },


  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },

  handleTouchStart: function (e) {
    this.startTime = e.timeStamp;
    // console.log(" startTime = " + e.timeStamp);  
  },

  //touch end
  handleTouchEnd: function (e) {
    this.endTime = e.timeStamp;
    ///console.log(" endTime = " + e.timeStamp);  
  },

  handleClick: function (e) {
    var that = this;
    let item = e.currentTarget.dataset.item;
    if (that.data.issel) {//是否进来选择
      wx.setStorageSync('selbankcard', item);
      wx.navigateBack({
      })
      // wx.redirectTo({
      //   url: "/" + that.data.url + "?bank_id=" + e.currentTarget.dataset.id + '&type=' + that.data.type,
      // })
    }

  },
  /**
   * 长按解绑银行卡
   */
  handleLongPress: function (e) {
    let bankid = e.currentTarget.dataset.id;
    let that = this;
    app.showModal({
      content: "确定解绑此银行卡",
      showCancel: true,
      confirm: function () {
        //console.log(bankid);
        if (bankid) {
          that.opdeleteBank(bankid);
        }
      },
    })
  },
  getUserBankList: function () {
    let that = this;
    bankList({}).then(res => {
      let banklist = res.data;
      banklist.forEach(function (value, index) {
        if (banklist[index]['bank_code']) {
          banklist[index]['bankbg'] = banklist[index]['bank_code'].toLowerCase();
        }
        if (banklist[index]['cardno']) {
          banklist[index]['vcardno'] = '****  ****  ****  ' + banklist[index]['cardno'].substring(banklist[index]['cardno'].length - 4);
        }
      });
      that.setData({
        banklist: banklist,
      })
    }).catch(err=>{
      if( res.data.code == -10800 ){
        that.setData({ hidden:true });
      }
    })
  },
  opdeleteBank: function (bankid) {
    let that = this;
    deleteBank({
      'bankid': bankid
    }).then(res => {

      that.getUserBankList();
    });
  }
})