const app = getApp()
import {requestOrder} from '../../api/order.js';
import Utils from "../../utils/util.js";
Page({

  /**
   * 页面的初始数据
   */
  data: {
      clientImgPath: app.globalData.clientImgPath,
      list:[],
      shipperName:'',
      logisticCode:'',
      logisticLogo:'',
      phone:'',
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this;
    console.log(options);
    let params = {
      order_id: options.order_id,
      action: options.action,
      vendor_id:options.vendor_id
      
    };
    requestOrder(params).then(res => {
      console.log(res);
      if (res.code == 0) {
        let data = res.data;
        let list = Utils.checkArray(data.Traces) ? data.Traces : [];
        let logistics_info = that.getLogisticsConfig(data.ShipperCode)
        that.setData({
          list: list.reverse(),
          logisticCode: data.LogisticCode,
          shipperName: logistics_info.name,
          logisticLogo: logistics_info.img_url,
          phone: logistics_info.phone
        })
      }
    })
  },
  /**
  * 获取快递公司信息
  */
  getLogisticsConfig: function (shipperCode) {
    let config = {
      'YTO': { 'name': '圆通速递', 'phone': '95554', 'img_url': '/images/delivery_icon/YTO.png' },
      'HTKY': { 'name': '百世快递', 'phone': '95320', 'img_url': '/images/delivery_icon/HTKY.png' },
      'ZTO': { 'name': '中通快递', 'phone': '95311', 'img_url': '/images/delivery_icon/ZTO.png' },
      'STO': { 'name': '申通快递', 'phone': '95543', 'img_url': '/images/delivery_icon/STO.png' },
      'SF': { 'name': '顺丰速运', 'phone': '95338', 'img_url': '/images/delivery_icon/SF.png' },
      'YD': { 'name': '韵达速递', 'phone': '95546', 'img_url': '/images/delivery_icon/YD.png' },
      'YZPY': { 'name': '邮政快递包裹', 'phone': '11185', 'img_url': '/images/delivery_icon/EMS.png' },
      'EMS': { 'name': 'EMS', 'phone': '11183', 'img_url': '/images/delivery_icon/EMS.png' },
      'HHTT': { 'name': '天天快递', 'phone': '400-188-8888', 'img_url': '/images/delivery_icon/HHTT.png' },
      'JD': { 'name': '京东快递', 'phone': '950616', 'img_url': '/images/delivery_icon/JD.png' },
      'UC': { 'name': '优速快递', 'phone': '95349', 'img_url': '/images/qishou@2x.png' },
      'DBL': { 'name': '德邦快递', 'phone': '95353', 'img_url': '/images/delivery_icon/DBL.png' },
      'ZJS': { 'name': '宅急送', 'phone': '400-678-9000', 'img_url': '/images/qishou@2x.png' },
      'TNT': { 'name': 'TNT快递', 'phone': '400-820-9868', 'img_url': '/images/qishou@2x.png' },
      'UPS': { 'name': 'UPS', 'phone': '400-820-8388', 'img_url': '/images/qishou@2x.png' },
      'DHL': { 'name': 'DHL', 'phone': '95380', 'img_url': '/images/qishou@2x.png' },      
      'FEDEX': { 'name': 'FEDEX联邦(国内件）', 'phone': '400-886-1888', 'img_url': '/images/qishou@2x.png' },
      'FEDEX_GJ': { 'name': 'FEDEX联邦(国际件）', 'phone': '400-886-1888', 'img_url': '/images/qishou@2x.png' },
    }
    return config[shipperCode] || {};
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
})