// pages/index/index
const app = getApp();
var clientImgPath = app.globalData.clientImgPath;
var staticUrl = app.globalData.staticUrl;
import luma from '../../utils/luma.js';

import {getGroupList,getShareUser} from "../../api/lmping";
import { getUserInfo } from '../../api/user.js';


Page({

  /**
   * 页面的初始数据
   */
  data: {
    clientImgPath,
    staticUrl,

    lundata:["A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z"],
    showModal:false,
    uid:"",
    userInfo:{},

    searchuser:{},//搜索出来的结果 用户信息
    secret_key:"",//输入的邀请码

    hidden:false,

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    luma.scenego(options); //扫码过来跳转

    this.setData({ //顶部通知栏高度
      statusBarHeight: wx.getSystemInfoSync().statusBarHeight,
    })
    
    this.getfundata();
    this.getGroupListfun();
   
  },
  setUserInfo(e) { //点击了授权 
    if (e.detail) {
      this.setData({
          hidden: false,
      });
      
      this.getfundata();
      this.getGroupListfun();
    }
  },
  //获取基础用户信息
  getfundata() {
    getUserInfo({

    }).then((res) => {
      if (res.code == 0) {
        this.setData({
          userInfo: res.data.info,
        })
        // if(!this.data.uid && (this.data.userInfo.share_id=="" || this.data.userInfo.share_id==null || this.data.userInfo.share_id==0)){
        //   //弹出
        //   console.info("弹出窗");
        //   // this.setData({
        //   //   showModal:true,
        //   // })
        // }

        if(res.data.info.mobile=="" || res.data.info.mobile==null){
          //去绑定手机号~
          wx.redirectTo({
            url: '/pages/register/register',
          })
        }

      }
    })
  },
  //双向绑定
  inputuids(e){
    this.setData({
      secret_key:e.detail.value,
    })
    this.getShareUserFun();
  },
  //填写了邀请码后 通过邀请码查询用户信息
  getShareUserFun(){
    getShareUser({
      secret_key:this.data.secret_key,//?
    }).then((res)=>{
      if(res.code==0){
        this.setData({
          searchuser:res.data,
        })
      }else{
        this.setData({
          searchuser:{},
        })
      }
    })
  },
  //确认绑定
  saveMobile(e){
    let secret_key = this.data.secret_key.replace(/\s+/g,"");
    console.info("secret_key",secret_key);
    if(!this.data.searchuser.secret_key){
      wx.showToast({
        title: '邀请码不存在!',
        icon:'none'
      })
      return ;
    }
    if(secret_key=="" || secret_key==undefined || secret_key==null){
      wx.showToast({
        title: '请输入正确的邀请码~',
        icon:'none'
      })
    }else{
      this.setData({
        showModal:false,
      })
      //邀请完了 重新请求
      this.getGroupListfun();
    }
  },
  quxiaoimgs(){
    this.setData({
      showModal:false,
    })
  },
  //返回上一页
  tobreak(){
    wx.navigateBack({
    })
  },
  //获取开团商品列表
  getGroupListfun() {
    getGroupList({
      share_id: this.data.uid,
      secret_key:this.data.secret_key,
    }).then((res) => {
      // wx.setStorageSync('share_uid','');

      if (res.code == 0) {
        this.setData({
          goodslist:res.data,
        })
      } else {
        this.setData({
          goodslist:[],
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.setData({
      uid:wx.getStorageSync("share_uid"),
    })

    if(!wx.getStorageSync('userInfo')){
      this.setData({
        hidden:true,
      });
      return;
    }
    this.setData({
      hidden:false,
    });


    this.getfundata();

    this.getGroupListfun();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
    this.setData({ hidden:false });
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    let userInfo = wx.getStorageSync('userInfo');
    let user_id = "";
    let title = ``;
    if(userInfo.info){
      user_id = userInfo.info.user_id;
      title = `${userInfo.info.nickname}喊你:一起来拼团，越拼越想拼`
    }else{
      title  = '一起来拼团，越拼越想拼';
    }
    return {
      title: title,
      path:"/pages/index/index",
      imageUrl: this.data.clientImgPath+'/images/lmping/pshareimgs.jpg?1='+Math.random()
    }
  },
   /**
   * 分享朋友圈
   */
  onShareTimeline() {
    let userInfo = wx.getStorageSync('userInfo');
    let title = ``;
    let user_id = "";
    if(userInfo.info){
      title = `${userInfo.info.nickname}喊你:  一起来拼团，越拼越想拼。`
      user_id = userInfo.info.user_id
    }else{
      title  = '一起来拼团，越拼越想拼。';
    }
    return {
      title: title,
      query:"shareuid="+user_id,
      imageUrl: this.data.clientImgPath+'/images/lmping/pshareimgs.jpg?1='+Math.random()
    }
  },
})