// pages/lmping/user/user.js
const app = getApp();
var clientImgPath = app.globalData.clientImgPath;
import { getUserInfo } from '../../../api/user.js';
import { Spellhome, transferAccounts } from "../../../api/lmping.js";
Page({

  /**
   * 页面的初始数据
   */
  data: {
    hidden:false,

    clientImgPath,

    join_income: 0,//参团收益
    spell_gold: { is_pay: 0, money: 0 },//悦想杯
    spell_money: { status: 3, money: 0 },//拼团余额集合
    spell_value: 0,//当日悦想值
    total_spell_value: 0,//累计悦想值
    coupon_num: 0,

    spell_vip: 0,

    secret_key:"",//邀请码

    is_shop:2,//1 商家  2不是商家

    timedatas:0,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      timedatas: Math.round(new Date() / 1000),
    })
  },
  setUserInfo(e) { //点击了授权 
    if (e.detail) {
      this.setData({
          hidden: false,
      });
      
      this.getfundata();
      this.ToSpellhome();//获取用户统计信息
      
    }
  },
  //获取首页信息
  ToSpellhome() {
    Spellhome({

    }).then((res) => {
      if (res.code == 0) {
        this.total_spell_value = res.data.total_spell_value;
        this.setData({
          join_income: res.data.join_income,
          spell_gold: res.data.spell_gold,
          spell_money: res.data.spell_money,
          spell_value: res.data.spell_value,
          total_spell_value: res.data.total_spell_value,
          coupon_num: res.data.coupon_num,
          spell_vip: res.data.spell_vip,
          secret_key:res.data.secret_key,
          is_shop:res.data.is_shop,//是否是商家
        })
      }
    })
  },
  //点击去提现 弹窗个人中心的提现窗
  toyjWithdraw() {
    wx.setStorageSync('showkefu1', "1");
    wx.switchTab({
      url: '/pages/user/user',
    })
  },
  getqiaodao() {
    wx.navigateTo({
      url: '/pages/lmping/signin/signin',
    })
  },
  //获取基础用户信息
  getfundata() {
    getUserInfo({

    }).then((res) => {
      if (res.code == 0) {
        this.setData({
          userInfo: res.data.info,
        })
        wx.setStorageSync('userInfo', res.data)

        if(res.data.info.mobile=="" || res.data.info.mobile==null){
          //去绑定手机号~
          wx.redirectTo({
            url: '/pages/register/register',
          })
        }
      }
    })
  },
  //转到佣金接口
  transferAccountsFun(e) {

    let types = e.currentTarget.dataset.type;
    // 1 悦想拼余额
    // 2 悦想杯
    //3 参团收益
    // is_pay==1 才可以转
    // status==4 可以转

    
    if(types==1 && this.data.spell_money.money==0){
      wx.showToast({
        title: "拼团余额不足!",
        icon:"none"
      })
      return;
    }else if(types==2 && this.data.spell_gold.money ==0){
      wx.showToast({
        title: "悦想杯不足!",
        icon:"none"
      })
      return;
    }else if(types==3 && this.data.join_income ==0){
      wx.showToast({
        title: "参团收益不足!",
        icon:"none"
      })
      return;
    }


    if (types == 1 && this.data.spell_money.status != 4) {
      //悦想拼余额
      wx.showToast({
        title: "您暂时不可转到佣金!",
        icon:"none"
      })
      return false;

    } else if (types == 2 && this.data.spell_gold.is_pay != 1) {
      // 悦想杯
      wx.showToast({
        title: "您暂时不可转到佣金!",
        icon:"none"
      })
      return false;
    }else if(types == 3 && this.data.join_income <50){
      wx.showToast({
        title: "提现金额不能小于50!",
        icon:"none"
      })
      return false;
    }

    wx.showModal({
      title: '提示',
      content: '你确定要转到佣金吗?',
      cancelText: "取消",
      confirmText: "确定",
      success: (res) => {
        if (res.confirm) {
          transferAccounts({
            type: types,
          }).then((res) => {
            if (res.code == 0) {
              wx.showToast({
                title: '操作成功',
                // icon: "none"
              })
              this.ToSpellhome();//操作成功重新刷新数据
              this.getfundata();//刷新用户信息~
            } else {
              wx.showToast({
                title: res.msg,
                icon: "none"
              })
            }
          })
        } else if (res.cancel) {
          console.log('用户点击取消')
        }
      }
    })


  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getfundata();
    this.ToSpellhome();//获取用户统计信息

    //授权弹窗
    if(!wx.getStorageSync('userInfo')){
      this.setData({
        hidden:true,
      });
      return;
    }

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    let userInfo = wx.getStorageSync('userInfo');
    let user_id = "";
    let title = ``;
    if(userInfo.info){
      user_id = userInfo.info.user_id;
      title = `${userInfo.info.nickname}喊你:一起来拼团，越拼越想拼`
    }else{
      title  = '一起来拼团，越拼越想拼';
    }
    return {
      title: title,
      path:"/pages/index/index",
      imageUrl: this.data.clientImgPath+'/images/lmping/pshareimgs.jpg?1='+Math.random()
    }
  },


   /**
   * 分享朋友圈
   */
  onShareTimeline() {
    let userInfo = wx.getStorageSync('userInfo');
    let title = ``;
    let user_id = "";
    if(userInfo.info){
      title = `${userInfo.info.nickname}喊你:  一起来拼团，越拼越想拼。`
      user_id = userInfo.info.user_id
    }else{
      title  = '一起来拼团，越拼越想拼。';
    }
    return {
      title: title,
      query:"shareuid="+user_id,
      imageUrl: this.data.clientImgPath+'/images/lmping/pshareimgs.jpg?1='+Math.random()
    }
  },

})