import { addAddress, getUserAddr,getAddressList  } from "../../api/basicInformation.js";
var app = getApp();
var clientImgPath = app.globalData.clientImgPath;
var img_host = app.globalData.ImgPath;
import Util from '../../utils/util.js';
var QQMapWX = require('../../utils/libs/qqmap-wx-jssdk.min.js');
var qqmapsdk = new QQMapWX({
  key: 'CK6BZ-BTHCW-4IPRC-OZLAN-ZTITF-Y3FHA'
});
Page({

  /**
   * 页面的初始数据
   */
  data: {
    clientImgPath: app.globalData.clientImgPath,
    check: true,
    is_edit: 0,
    is_default: 0,

    radioItems: [ //单选框 
      {name: '1',value: '外卖',checked: false},
      {name: '2',value: '商城',checked: true}
    ],
    type:0,//0普通进入  1外卖地址进入  2商城订单进入
    array:[[],[],[]],//省市区
    pickerValue:[0,0,0],//选中的下标
    
    manageType:1,//1添加 2修改
    addressData: {
      addr_id:'', //地址id  （修改地址时才有）
      name:'', //名字
      mobile:'', //电话
      addr:'',//省市区
      doorplate:'',//详细地址
      province:'',//省id
      citys:'', //城市id
      countys:'', //区id
      lng:'',
      lat:'',
      is_default:'0', //0不是默认地址 1默认
      type:2,//1外卖 2商城
    },
    type:0, //0普通进入  1外卖地址进入  2商城地址进入
  },
  bindinput(e){
    let value=e.detail.value;
    let type=e.target.dataset.type;
    let addressData=this.data.addressData;
    if(type==1){
      addressData.name=value; //名字
    }else if(type==2){
      addressData.mobile=value; //电话
    }else{
      addressData.doorplate=value; //详细地址
    }
    // console.log(addressData)
    this.setData({addressData});
  },
  bindPickerChange(e){ //选择省市区 点击确定
    let trueAddr='',
    value=e.detail.value,//选中的下标
    num=0,
    array=this.data.array,
    addressData=this.data.addressData;
    for( let i=0;i<value.length;i++){
      if(value[i]==0){
        break;
      }else{
        num++;
        if(num==value.length){
          array.map((item,index)=>{
            trueAddr=trueAddr+''+item[value[index]].name;
          })
        }
      }
    }
    addressData.trueAddr=trueAddr;
    this.setData({ addressData });
  },
  columnchange(e){ //选择某个地区
    let array=this.data.array;//省市区 数组
    let column=e.detail.column; //0省 1市 2区
    let index=e.detail.value; //下标
    let obj=array[column][index];
    let pickerValue=this.data.pickerValue;//选择得下标
    pickerValue[column]=index;//选中的这项下标添加进去
    
    if(column==0){
      if(index!=0){
        if(array[1].length!=0){
          array[1]=array[2]=[];
          pickerValue[1]=pickerValue[2]=0;
        }
        this.getAddressList(obj.pid,column);
      }else{
        array[1]=array[2]=[];
      }
    }else{
      if(column!=2){
        if(index==0){
          array[2]=[];
        }else{
          this.getAddressList(obj.pid,column)
        }
      }
    }
    this.setData({ array,pickerValue });
  },



  radioChange(e){ //点击单选框
    let radioItems=this.data.radioItems;
    radioItems.map(item=>{
      if(item.name==e.detail.value){
        item.checked=true;
      }else{
        item.checked=false;
      }
    })
    this.setData({ radioItems });

  },
  openMap: function () {
    var that = this;
    let addressData=this.data.addressData;
    wx.chooseLocation({
      success:(res)=> {
        // addressData.lat=addressData.lat1=res.latitude;
        // addressData.lng=addressData.lng1=res.longitude;
        addressData.lat=res.latitude;
        addressData.lng=res.longitude
        addressData.doorplate=res.address+res.name;//详细地址
        console.log(res.latitude,res.longitude,res)
        that.setData({
          addressData
        })
        qqmapsdk.reverseGeocoder({
          location: {
            latitude: res.latitude,
            longitude: res.longitude
          },
          success: function (data) {
            let res=data.result;
            addressData.trueAddr=res.address_component.province+res.address_component.city+res.address_component.district;//省市区
            addressData.province=Number(res.ad_info.adcode)-Number(res.ad_info.adcode)%1000;//省ID
            addressData.citys=Number(res.ad_info.adcode)-Number(res.ad_info.adcode)%100;//市ID
            addressData.countys=Number(res.ad_info.adcode);//区县ID
            that.setData({
              addressData
            })
            console.log(addressData)
          }
        })
      }
    })
  },
  // 点击切换
  clickTab (e) {
    console.log(e)
    var addressData = this.data.addressData;
    addressData.is_default=e.currentTarget.dataset.current;
    this.setData({
      addressData
    })
  },
  Submit() {
    let addressData=this.data.addressData;//全部参数
		let array=this.data.array;//地址
    console.log(this.data.addressData)

    if(!addressData.name){
      wx.showToast({title: '请填写收货人姓名', icon: 'none'});
      return;
    }
    if(!/(^1[3|4|5|7|8|9][0-9]{9}$)/.test(addressData.mobile)){
      wx.showToast({title: '请输入正确的手机号码', icon: 'none'});
      return;
    } 
    if(!addressData.trueAddr){
      wx.showToast({title: '请选择所在地址', icon: 'none'});
      return;
    }
    if(!addressData.doorplate){
      wx.showToast({title: '请输入详细收获地址', icon: 'none'});
      return;
    }
    
    if(this.data.manageType==1){ //添加收获地址
      this.data.radioItems.map((item,index)=>{  //外卖地址 还是 商城地址
        if(item.checked){
          addressData.type=index+1;
        }
      })
      if(addressData.type==2){ //商城地址才有pid
        addressData.province=array[0][this.data.pickerValue[0]].pid;//省id
        addressData.citys=array[1][this.data.pickerValue[1]].pid;//城市id
        addressData.countys=array[2][this.data.pickerValue[2]].pid; //区id
        addressData.lat='';
        addressData.lng='';
      }
    }else{
      if(addressData.type==2){ //商城地址才有pid
        addressData.lat='';
        addressData.lng='';
      }
    }
    this.setData({addressData});
    console.info(addressData,'fdfdf')
    addAddress({
      addr_id: addressData.addr_id,
      name: addressData.name,
      mobile: addressData.mobile,
      is_default:addressData.is_default,
      trueAddr: addressData.trueAddr,
      doorplate: addressData.doorplate,
      type: addressData.type,
      province: addressData.province,
      citys: addressData.citys,
      countys: addressData.countys,
      lat1: addressData.lat,
      lng1: addressData.lng,
      // lat: '11111',  //字段作废
      // lng: '22222',  //字段作废
    }).then(res => {
      let pages = getCurrentPages()
      if (pages.length > 2) {
        let prevpage = pages[pages.length - 2]
        prevpage.setData({
          addr_user_id: res.data.addr_id || 0,
          addr_id: res.data.addr_id || 0,
        })
      }
      if (res.code == 0) {
        wx.navigateBack({
          delta: 1,
        })
      } else {
        wx.showToast({
          title: res.msg,
          icon: 'none'
        })
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(option) {
    let radioItems=this.data.radioItems;
    let manageType=0;
    
    if(option.type!='0'){
      radioItems.map(item=>{
        item.checked=false;
      });
    }
    if(option.isedit){ //编辑 修改 进来
      let addressData = JSON.parse(option.isedit);
      manageType=2;
      radioItems[addressData.type-1].checked=true;
      if(addressData.type==2){
        addressData.lat='';
        addressData.lng='';
      }
      console.log(addressData,'zheli')
      this.setData({addressData});
    }else{ //添加地址进来
      manageType=1;
      if(option.type!=0){
        radioItems[option.type-1].checked=true;
      }
    }
    this.setData({type:option.type,radioItems,manageType});
    this.getAddressList();//省市区
  },
  getAddressList(pid,column){ //省市区
    wx.showLoading({title:'请稍后...'});
    let obj={pid:0,ParentId:0,name:'请选择'};
    let array=this.data.array;
    getAddressList({
      pid:pid?pid:''
    }).then(res=>{
      if(res.code==0){
        wx.hideLoading();
        res.data.unshift(obj);
        if(pid){ //一开始请求省
          if(column==0){ //选则了省 请求出了市的数据
            array[1]=res.data;
          }else if(column==1){  //选则了市 请求出了区的数据
            array[2]=res.data;
          }
        }else{
          array[0]=res.data;
        }
        this.setData({array});
      }
    })
    
  },
  
  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})