const app = getApp()
import {
  orderStatus,
  orderList,
  requestOrder,
  eleOrdStatus,
  eleOrdList,
  requestEleOrder,
  getRefundOrderList,
  setRefundOrderCancel,
  setReceivingGoods,
  setRefundOrderDel,
} from '../../api/order.js';
import Utils from "../../utils/util.js";
import luma from "../../utils/luma.js";
import {
  carryType,
  ele_carry
} from "../../api/shopping"
var clientImgPath = app.globalData.clientImgPath;
var img_host = app.globalData.ImgPath;
var staticUrl = app.globalData.staticUrl
Page({

  /**
   * 页面的初始数据
   */
  data: {
    //商城定义变量
    currentTab: 0,
    order: [], //正常订单数据
    refundOrder: [], //售后订单数据
    pageNum: 1,
    is_loading_done: false,
    statusTab: 'all',
    clientImgPath: clientImgPath,
    img_host: img_host,
    userInfo: {},
    hasUserInfo: false,
    currentTabs: 0,
    navScrollLeft: 0,
    checkClassValue: 1,
    //外卖定义变量
    elecurrentTab: 0,
    eleorder: [],
    elepageNum: 1,
    eleis_loading_done: false,
    elelist: [],
    elebtList: [],
    eleimg_host: img_host,
    elepage: 1,
    eleis_loading_done: false,
    eleclientImgPath: clientImgPath,
    ewmUrl: '', // 买菜弹窗二维码图片路径
    staticUrl: staticUrl,
    //卖菜定义变量
    carrycurrentTab: 0,
    carryorder: [],
    carrypageNum: 1,
    carryis_loading_done: false,
    carrylist: [],
    carrybtList: [],
    carryimg_host: img_host,
    carrypage: 1,
    carryis_loading_done: false,
    carryclientImgPath: clientImgPath,
    ewmUrl: '', // 买菜弹窗二维码图片路径
    staticUrl: staticUrl,
    collection_time: '', //买菜提货时间
    isshowshoping: false, //是否显示买菜模块 默认不显示
  },
  // 获取滚动条当前位置
  onPageScroll(e) {
    wx.setStorageSync('scrollTop', e.scrollTop);
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    wx.setStorageSync('isDelorder', ''); //清除方法
    wx.getSystemInfo({
      success: (res) => {
        this.setData({
          pixelRatio: res.pixelRatio,
          windowHeight: res.windowHeight,
          windowWidth: res.windowWidth,
          elepixelRatio: res.pixelRatio,
          elewindowHeight: res.windowHeight,
          elewindowWidth: res.windowWidth
        })
      },
    })
    this.setData({
      //商城数据
      statusTab: options.current ? options.current : "all", // 订单状态
      status: options.status ? options.status : "all",
      is_dianping: options.is_dianping ? options.is_dianping : 0,
      currentTab: options.currentTab ? options.currentTab : 0,
      
    })

    //商城状态栏
    orderStatus({}).then(res => {
      if (res.code == 0) {
        let order_status_list = Utils.checkArray(res.data) ? res.data : [];
        order_status_list.map((item, index) => {
          if (this.data.currentTab == index) {
            setTimeout(() => {
              this.setData({
                navScrollLeft: (index - 2) * this.data.windowWidth / 5
              })
            }, 200);
          }
        })
        this.setData({
          order_status_list
        });
      }
    })

    this.initializedata();
  },
  setUserInfo(e) { //点击了授权 
    if (e.detail) {
      this.initializedata();
    } else {
      setTimeout(() => {
        wx.navigateBack();
      }, 700);
    }
  },
  onShow() {
    if (!wx.getStorageSync('userInfo')) {
      this.setData({
        hidden: true
      });
      return;
    }
    this.setData({
      hidden: false
    });

    if (wx.getStorageSync('isDelorder')) { //有缓存的值的时候说明是订单处理后从其他页面返回来得
      let isDelorder = wx.getStorageSync('isDelorder'); //列表订单各种处理后...
      let obj = wx.getStorageSync('obj'); //缓存的订单信息
      let order = this.data.order; //订单列表数据
      let refundOrder = this.data.refundOrder //售后列表数据
      if (this.data.status != 'all') { //只有不是在全部订单下才删除这一项
        if (this.data.checkClassValue == 1) {
          if (this.data.statusTab == 4) {
            if (isDelorder == 'setRefundOrderDel') {
              refundOrder.splice(obj.index, 1)
              this.setData({
                refundOrder
              });
            } else {
              if (isDelorder == 'setRefundOrderCancel' || isDelorder == 'setReceivingGoods' || isDelorder == 'setDeliverGoods') { //点击了撤销售后、点击了确认收货、点击了立即发货
                this.listDeal2();
              }
            }
          } else {
            order.splice(obj.index, 1); //删除某项
            this.setData({
              order
            });
          }
        } else {
          eleorder.splice(obj.index, 1); //删除某项
          this.setData({
            eleorder
          });
        }
        wx.setStorageSync('isDelorder', ''); //清除方法
      } else {
        //从退款返回、完成评价返回、点击了待收货退款、点击了待发货退款
        if (isDelorder == 'applyRefund' || isDelorder == 'getDianPing' || isDelorder == 'getPay' || isDelorder == 'applyRefundOrder' || isDelorder == 'GoodsApplyRefund' || isDelorder == 'daojishi') {
          if (this.data.status != 'all') { //只有不是在全部订单下才删除这一项
            order.splice(obj.index, 1); //删除某项
            this.setData({
              order
            });
            wx.setStorageSync('isDelorder', ''); //清除方法
          } else {
            this.listDeal();
          }
        } else if (isDelorder == 'delorder') { //点击删除回来的
          order.splice(obj.index, 1); //删除某项
          this.setData({
            order
          });
          wx.setStorageSync('isDelorder', ''); //清除方法
        }
      }
      wx.pageScrollTo({
        scrollTop: wx.getStorageSync('scrollTop'),
        duration: 0
      });
    }
    // 自动跳转到售后/退款
    if (wx.getStorageSync('statusTab')) {
      this.setData({
        statusTab: wx.getStorageSync('statusTab'),
        order: [],
        status: '4,5,6,7',
        is_loading_done: false,
        currentTab: 6,
        pageNum: 1,
        navScrollLeft: (6 - 2) * (this.data.windowWidth / 5)
      })
      setTimeout(() => {
        wx.setStorageSync('statusTab', '');
        this.initializedata();
      }, 100);

    }


  },


  // 刷新正常订单
  listDeal() {
    let obj = wx.getStorageSync('obj');
    let order = this.data.order;
    let eleorder = this.data.eleorder;
    wx.showLoading({
      title: "请稍后..."
    });
    if (this.data.checkClassValue == 1) {
      orderList({
        status: this.data.status,
        is_dianping: this.data.is_dianping,
        page: Math.ceil((obj.index + 1) / 10)
      }).then(res => {
        wx.hideLoading();
        for (let item of res.data) {
          if (item.order_id == obj.order_id) {
            order[obj.index] = item;
            this.setData({
              order
            });
            break;
          }
        }
      })
    } else if (this.data.checkClassValue == 2) {
      eleOrdList({
        status: this.data.elestatus,
        is_dianping: this.data.eleis_dianping,
        page: Math.ceil((obj.index + 1) / 10)

      }).then(res => {
        wx.hideLoading();
        for (let item of res.data.list) {
          if (item.order_id == obj.order_id) {
            eleorder[obj.index] = item;
            this.setData({
              eleorder
            });
            break;
          }
        }
      })
    } else {
      console.log('买菜还没有售后')
    }
    wx.setStorageSync('isDelorder', ''); //清除方法
  },
  // 刷新售后订单
  listDeal2() {
    let refund = wx.getStorageSync('refund');
    let refundOrder = this.data.refundOrder;
    wx.showLoading({
      title: "请稍后..."
    });

    if (this.data.checkClassValue == 1) {
      getRefundOrderList({
        page: Math.ceil((refund.index + 1) / 10),
        pagesize: 20
      }).then(res => {
        wx.hideLoading();
        // console.log(res)
        for (let item of res.data) {
          if (item.refund_id == refund.refund_id) {
            refundOrder[refund.index] = item;
            this.setData({
              refundOrder
            });
            break;
          }
        }
      })
    }
    //wx.setStorageSync('isDelorder', ''); //清除方法
  },
  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {
    var pageNum = this.data.pageNum;
    var elepageNum = this.data.elepageNum
    this.setData({
      pageNum: 1,
      order: [],
      is_loading_done: false,

      elepageNum: 1,
      eleorder: [],
      eleis_loading_done: false

    })
    wx.showToast({
      title: '正在刷新',
      icon: 'loading',
      mask: true
    })
    this.initializedata();
    wx.stopPullDownRefresh();
  },
  loadmore() {
    var pageNum = parseInt(this.data.pageNum) + 1;
    var elepageNum = parseInt(this.data.pageNum) + 1;
    var carrypageNum = parseInt(this.data.pageNum) + 1;
    this.setData({
      pageNum: pageNum,
      elepageNum: elepageNum,
      carrypageNum:carrypageNum
    })
    this.initializedata()
  },
  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom(e) {
    var is_loading_done = this.data.is_loading_done; //是否加载完毕
    if (is_loading_done == false) { //还没加载完毕则继续加载
      wx.showLoading({
        title: '加载中',
        mask: false
      })
      this.loadmore();
    } else {
      wx.showLoading({
        title: '已全部加载完毕',
        mask: false
      })
      setTimeout(function () {
        wx.hideLoading()
      }, 1000)
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  /**
   * 顶部导航选中
   */
  selectOrderStatus(event) {
    var cur = event.currentTarget.dataset.current;
    //每个tab选项宽度占1/5
    var singleNavWidth = this.data.windowWidth / 5;
    let statusTab = event.currentTarget.dataset.statustab;
    let status = event.currentTarget.dataset.status;
    let is_dianping = event.currentTarget.dataset.is_dianping;

    this.setData({
      order: [],
      statusTab: statusTab,
      status: status,
      is_dianping: is_dianping,
      is_loading_done: false,
      currentTab: event.target.dataset.current,
      pageNum: 1,
      navScrollLeft: (cur - 2) * singleNavWidth
    })
    this.initializedata();
    if (this.data.currentTabs == cur) {
      return false;
    } else {
      this.setData({
        currentTabs: cur
      })
    }
  },
  /**
   * 初始化数据
   */
  initializedata: function () {
    var that = this;
    if (that.data.checkClassValue == 1) {
      if (that.data.statusTab == 4) {
        wx.showLoading({
          title: '加载中',
          mask: false
        })
        getRefundOrderList({
          page: parseInt(that.pageNum) ? parseInt(that.pageNum) : (0 + 1),
          pagesize: 20,
        }).then(res => {
          wx.hideLoading(); //结束加载
          if (res.data == null || res.data.length == 0) {
            that.setData({
              is_loading_done: true,
            })
          } else {
            let my_refundOrder = res.data
            that.setData({
              refundOrder: my_refundOrder,
            })
          }
        })
        return;
      }
      orderList({
        status: that.data.status,
        is_dianping: that.data.is_dianping,
        page: parseInt(that.data.pageNum) ? parseInt(that.data.pageNum) : (0 + 1),
      }).then(res => {
        if (res.data == null || res.data.length == 0) {
          that.setData({
            is_loading_done: true,
          })
        } else {
          var my_order = that.data.order;
          my_order = my_order.concat(res.data);
          that.setData({
            order: my_order,
          })
        }
        wx.hideLoading();

      })
    }


  },


  /**
   * 订单操作
   */
  operation: function (event) {
    console.log(event)
    let that = this;
    let action = event.currentTarget.dataset.action;
    let order_id = event.currentTarget.dataset.orderid;
    let vendor_id = event.currentTarget.dataset.vendor_id;
    let refund_id = event.currentTarget.dataset.refundid;
    let index = event.currentTarget.dataset.index;
    wx.setStorageSync('obj', {
      order_id: order_id,
      index: index
    });
    wx.setStorageSync('refund', {
      refund_id: refund_id,
      index: index
    });
    switch (action) {
      case 'getPay': //支付
        this.orderDetails(order_id, index);
        break;
      case 'delorder': //删除订单
        this.requestOrder(order_id, action, index);
        break;
      case 'affirmPirk': //买家自提确认取货
        this.requestOrder(order_id, action, index);
        break;
      case 'checkLogistics': //查看物流
        this.logistics(order_id, action, vendor_id, index);
        break;
      case 'affirmReceiving': //订单确认收货
        this.requestOrder(order_id, action, index);
        break;
      case 'orderDetails': //订单详情
        this.orderDetails(order_id, index);
        break;
      case 'getDianPing': //评论
        this.goEvaluate(order_id, index);
        break;
      case 'applyRefund': //申请退款
        this.applyRefund(order_id, action, index);
        break;
      case 'cancelRefund': //撤销退款
        this.requestOrder(order_id, action, index);
        break;
      case 'pay_presell': //预定金支付
        this.payPresell(order_id, index);
        break;
        // 售后/退款新接口
      case 'getRefundDetail': //售后订单详情
        that.getRefundDetail(refund_id);
        break;
      case 'getApplyRefund': //待收货申请售后
        that.getApplyRefund(order_id, action);
        break;
      case 'setRefundOrderCancel': //撤销售后
        that.setRefundOrderCancel(refund_id);
        break;
      case 'setRefundOrderDel': //撤销售后之后删除订单
        that.setRefundOrderDel(refund_id);
        break;
      case 'setDeliverGoods': //同意售后 立即发货
        that.setDeliverGoods(refund_id);
        break;
      case 'viewLogistics': //售后换货待用户收货 查看物流
        that.viewLogistics(refund_id);
        break;
      case 'setReceivingGoods': //售后换货 确认收货
        that.setReceivingGoods(refund_id);
        break;
      default:
        this.requestOrder(order_id, action, index);
        break;
    }
  },
  //查看物流
  logistics: function (order_id, action, vendor_id) {
    wx.navigateTo({
      url: '/pages/check_logistics/check_logistics?order_id=' + order_id + '&action=' + action + '&vendor_id=' + vendor_id
    })
  },
  //跳转订单详情
  orderDetails: function (order_id) {
    wx.navigateTo({
      url: '/pages/orderdetail/orderdetail?order_id=' + order_id,
    })
  },

  //跳转售后订单详情
  getRefundDetail: function (refund_id) {
    wx.navigateTo({
      url: '/pages/shop/order/weidianorder/weidianLine_refund/weidianLine_refund?refund_id=' + refund_id,
    })
  },

  //发货后申请退款
  getApplyRefund(order_id) {
    wx.navigateTo({
      url: '/pages/shop/order/weidianorder/sales_refund/sales_refund?order_id=' + order_id + "&action=getApplyRefund"
    })
  },

  //待发货状态直接申请退款
  applyRefund: function (order_id, action) {
    wx.navigateTo({
      url: '/pages/shop/order/weidianorder/sales_return/sales_return?order_id=' + order_id + '&action=' + action
    })
  },

  // 同意售后 立即发货
  setDeliverGoods(refund_id) {
    wx.navigateTo({
      url: '/pages/shop/order/weidianorder/express_delivery/express_delivery?refund_id=' + refund_id
    })
  },
  //查看物流
  viewLogistics(refund_id) {
    wx.navigateTo({
      url: '/pages/check_logistics/check_logistics?refund_id=' + refund_id
    });
  },

  // 请求后台操作撤销售后
  setRefundOrderCancel(refund_id, index) {
    let params = {
      refund_id: refund_id
    }
    wx.showModal({
      title: '提示',
      content: '是否确认撤销售后？',
      success: res => {
        if (res.confirm) {
          setRefundOrderCancel(params).then(res => {
            if (res.code == 0) {
              wx.showToast({
                title: '撤销成功',
                duration: 2000,
                icon: 'none'
              });
              this.listDeal2();
            } else {
              wx.showToast({
                title: res.msg,
                duration: 2000,
                icon: 'none'
              });
            }
          })
        }
      }
    })
  },

  // 撤销售后之后删除订单
  setRefundOrderDel(refund_id, index) {
    let params = {
      refund_id: refund_id
    }
    wx.showModal({
      title: '提示',
      content: '是否确认删除订单？',
      success: res => {
        if (res.confirm) {
          setRefundOrderDel(params).then(res => {
            if (res.code == 0) {
              wx.showToast({
                title: '删除成功',
                duration: 2000,
                icon: 'none'
              });
              let refundOrder = this.data.refundOrder;
              refundOrder.splice(index, 1)
              this.setData({
                refundOrder
              })
            } else {
              wx.showToast({
                title: res.msg,
                duration: 2000,
                icon: 'none'
              });
            }
          })
        }
      }
    })
  },
  // 售后换货 确认收货
  setReceivingGoods(refund_id, index) {
    let params = {
      refund_id: refund_id
    }
    wx.showModal({
      title: '提示',
      content: '是否确认收货？',
      success: res => {
        if (res.confirm) {
          setReceivingGoods(params).then(res => {
            if (res.code == 0) {
              wx.showToast({
                title: '收货成功',
                duration: 2000,
                icon: 'none'
              });
              this.listDeal2();
            } else {
              wx.showToast({
                title: res.msg,
                duration: 2000,
                icon: 'none'
              });
            }
          })
        }
      }
    })
  },


  //去点评
  goEvaluate: function (orderid) {
    wx.navigateTo({
      url: '/pages/shop/order/weidianorder/evaluation_weidian/evaluation_weidian?order_id=' + orderid,
    })
  },
  //申请退款
  applyRefund(order_id, action, index) {
    wx.navigateTo({
      url: '/pages/shop/order/weidianorder/sales_return/sales_return?order_id=' + order_id + '&action=' + action
    })
  },

  //请求后台操作订单
  requestOrder(order_id, action, index) {
    let that = this;
    let params = {
      order_id: order_id,
      action: action,
    };

    if (action == 'delorder') {
      wx.showModal({
        title: '删除订单',
        content: '是否确定删除订单？',
        success: (res) => {
          if (res.confirm) {
            requestOrder(params).then(res => {
              wx.showToast({
                title: res.msg,
                icon: 'none'
              })
              let order = this.data.order;
              order.splice(index, 1); //删除某项
              this.setData({
                order
              });
            })
          }
        }
      })
    } else {
      requestOrder(params).then(res => {
        if (res.code == 0) {
          wx.showToast({
            title: res.msg,
            icon: 'none'
          });
          setTimeout(() => {
            if (that.data.status != "all") {
              let order = that.data.order;
              order.splice(index, 1); //删除某项
              that.setData({
                order
              });
            } else {
              that.listDeal();
            }
          }, 1000);

        }
      })
    }

  },
})