const app = getApp();
import { getPhone, saveMobile,getUserInfo } from '../../api/user.js';
var clientImgPath = app.globalData.clientImgPath;
Page({
  /**
   * 页面的初始数据
   */
  data: {
    clientImgPath: clientImgPath,
    showModal: false,
    
    hidden:false,//登陆弹窗是否显示
  },
  // 外面的弹窗
  btn: function () {
    this.setData({
      showModal: true
    })
  },

  // 禁止屏幕滚动
  preventTouchMove: function () {
  },

  // 弹出层里面的弹窗
  ok: function () {
    this.setData({
      showModal: false
    })
  },
  //点击切换
  clickTab: function (e) {
    var that = this;
    if (this.data.currentTab === e.target.dataset.current) {
      return false;
    } else {
      that.setData({
        currentTab:e.target.dataset.current,
      })
    }
  },

  // 获取相片
  chooseImage(e) {
    wx.chooseImage({
      sizeType: ['original', 'compressed'],  //可选择原图或压缩后的图片
      sourceType: ['album', 'camera'], //可选择性开放访问相册、相机
      success: res => {
        const images = this.data.images.concat(res.tempFilePaths)
        // 限制最多只能留下3张照片
        const images1 = images.length <= 1 ? images : images.slice(0, 1)
        // console.log(images1)
        this.setData({
          images: images1
        })
      }
    })
  },
  removeImage(e) {
    var that = this;
    var images = that.data.images;
    // 获取要删除的第几张图片的下标
    const idx = e.currentTarget.dataset.idx
    // splice  第一个参数是下表值  第二个参数是删除的数量
    images.splice(idx, 1)
    this.setData({
      images: images
    })
  },

  // 跳转修改密码
  payment:function(){
    wx.navigateTo({
      url: '/pages/payment_code/payment_code',
    })
  },
  // 跳转我的地址
  myAddr: function () {
    wx.navigateTo({
      url: '/pages/personal/user_address/user_address',
    })
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    if(wx.getStorageSync('userInfo')){
      this.setData({
        userInfo:wx.getStorageSync('userInfo').info
      })
    }else{
      this.setData({hidden:true});
      console.log('没登陆');
    }
  },
  setUserInfo(e){ //点击了授权 
    if(e.detail){
      this.setData({
          userInfo:wx.getStorageSync('userInfo').info
      });
    }else{
      wx.navigateBack({});
    }
  },
  
  //自定义获取电话号码
  getPhone: function () {
    var that = this;
    var userInfo = that.data.userInfo;
    if (userInfo.mobile == "" || userInfo.mobile == null) {
      this.setData({
        mobile: userInfo.mobile,
        modalstatus: true
      })
    }
  },
  phoneClick() {  //有电话时
    this.setData({ showModal:true });
  },

  //电话号码
  getPhoneNumber(e) {//点击获取手机号码按钮
    console.log(e);
    wx.checkSession({
      success:()=> {
        if (e.detail.errMsg == 'getPhoneNumber:fail user deny') {
          this.setData({
            modalstatus: true
          });
        } else {//同意授权
          getPhone({
            iv:e.detail.iv,
            encryptedData:e.detail.encryptedData
          }).then(res => {
            if( res.code == 0 ){
              this.data.mobile = res.data.phoneNumber;
            }else{
              wx.showToast({
                title: res.msg,
                icon:'none'
              })
            }
            this.setData({modalstatus:false});
            wx.setStorageSync('phone', this.data.mobile);
            this.saveMobile();
          })
        }
      },
      fail: function () {
        console.log("session_key 已经失效，需要重新执行登录流程");
      }
    });
  },
  saveMobile(e) {
    let that=this;
    saveMobile({
      mobile : that.data.mobile
    }).then(res => {
      if( res.code == 0 ){
        that.setData({ showModal:false });
        wx.showModal({
          title: '提示',
          content: res.msg,
          showCancel:false,
          success (res) {
            if (res.confirm) {
              getUserInfo({}).then(res=>{
                wx.setStorageSync('userInfo', res.data);
                wx.setStorageSync('user_id', res.data.info.user_id);
                that.setData({ userInfo:res.data.info });
              }).catch(err=>{
                console.log(err);
              })
            }
          }
        })
      }else{
        wx.showToast({
          title: res.msg,
          icon:'none'
        })
      }
      
    })
 
  },
  cancelUserInfo: function () {
    this.setData({
      modalstatus: false
    });
  },
  inputMobile (e) { //手机号输入框输入事件
    this.setData({ mobile: e.detail.value});
  },
})