const app = getApp();
import {
  userWithdraw,
  cashBank,
  userTransferMoney
} from '../../api/user.js';
import {
  havepassword
} from '../../api/basicInformation.js';

import { getUserInfo } from '../../api/user.js';
Page({
  /**
   * 页面的初始数据
   */
  data: {
    clientImgPath: app.globalData.clientImgPath,
    currentTab: 0,
    inputLength: 0,
    inputLengths: 0,

    is_cash: true,
    ismoneyshow: false,

    iShidden: false,//授权弹窗是否显示
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.setData({
      gold: options.gold,
      type: options.type ? options.type : 0, //type(0佣金提现，1代理提现,2商家提现)
      member: app.globalData.userInfo,
      bank_id: options.bank_id ? options.bank_id : 0,
      currentTab: options.bank_id ? 2 : 0,
    })

    if (options.type == 2) {
      wx.setNavigationBarTitle({
        title: '商家提现'
      })
    }

    if (!wx.getStorageSync('userInfo')) {
      this.setData({ hidden: true });
      return;
    }
    this.setData({ hidden: false });
    this.onLoadFun();


    this.getfundata();
  },
  //获取基础用户信息
  getfundata() {
    getUserInfo({

    }).then((res) => {
      if (res.code == 0) {
        this.setData({
          userInfo: res.data.info,
        })

        if (res.data.info.mobile == "" || res.data.info.mobile == null) {
          //去绑定手机号~
          wx.redirectTo({
            url: '/pages/register/register',
          })
        }
      }
    })
  },
  // 跳转银行卡列表
  bankCardList: function (e) {
    var type = e.currentTarget.dataset.type;
    // wx.navigateTo({
    //   url: '/pages/bankCard_list/bankCard_list?url=' + app.getCurrentPageUrl() + '&type=' + type,
    // })

    wx.navigateTo({
      url: '/pages/bankCard_list/bankCard_list?issel=1',
    })
  },

  //验证身份时 用户在组件内点击提交按钮后 返回用户手机号码和验证码
  formsubmit(data) {
    
    // let postparams = this.data.params || {};
    // let verify = data.detail;
    // let params = {};
    // delete verify.type; //true
    // Object.assign(params, postparams, verify);
    // this.optWithdraw(params);


    //提现
    let params = {
      code:data.detail.code,//add
      phone:data.detail.phone,//add

      type: this.data.type,
      money: this.data.money,
      totype: this.data.totype,
      bank_realname: this.data.bank_realname,
      user_bank_id: this.data.user_bank_id,
      paw_val: this.data.paw_val,
    };
    this.optWithdraw(params);
  },
  /**
    * 生命周期函数--监听页面显示
    */
  onShow: function () {
    if (!wx.getStorageSync('userInfo')) {
      this.setData({ hidden: true });
      return;
    }
    this.setData({ hidden: false });
    // this.onLoadFun();

    //选银行卡
    let selbankcard = wx.getStorageSync('selbankcard');
    if (selbankcard) {
      wx.setStorageSync('selbankcard', "");
      this.setData({
        bank_id: selbankcard.bank_id,
        bank: selbankcard,
      })
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    //测试弹出
    //this.selectComponent("#VerifyIdentity").showModal();
  },
  // 支付密码弹窗组件
  showInputLayer: function (e) {
    var that = this;
    if (parseInt(that.data.money * 100) > parseInt(this.data.userInfo.commission * 100)) {
      app.showModal({
        content: "输入金额超过可提现余额！"
      })
      return;
    }

    havepassword({}).then(ret => {
      if (ret.code == 0) {
        if (this.data.money > 0) {
          if (this.data.totype == 1) {
            if (!this.data.bank_realname) {
              app.showModal({
                content: "请输入真实姓名!"
              })
              return;
            }
          }
          if (this.data.totype == 2) {
            if (!this.data.user_bank_id) {
              app.showModal({
                content: "请选择银行卡信息!"
              })
              return;
            }
          }
          this.selectComponent("#paymentCode").showInputLayer();
        } else {
          app.showModal({
            content: "您输入的金额不合法!"
          })
          return;
        }
      } else {
        wx.showModal({
          title: '温馨提示',
          content: '您还未设置悦想支付密码，请前往设置！',
          success: function (res) {
            if (res.confirm) {
              wx.navigateTo({
                url: '/pages/payment_code/payment_code',
              })
            }
          }
        })
      }
    })
  },

  allMoney: function (e) {

    var that = this;
    var type = e.currentTarget.dataset.type;
    console.info(type, "type");

    if (type == 0) {
      that.setData({
        money: this.data.userInfo.commission,//佣金
        ismoneyshow: !that.data.ismoneyshow
      })
    } else if (type == 1) {
      that.setData({
        money: this.data.userInfo.agent_brokerage,
        ismoneyshow: !that.data.ismoneyshow
      })
    } else if (type == 2) {
      that.setData({
        money: this.data.userInfo.gold, //这里商户全部提现减少100元的保证金
        ismoneyshow: !that.data.ismoneyshow
      })
    }

    console.log(that.data.ismoneyshow)
  },
  setUserInfo(e) { //点击了授权
    if (e.detail) {
      this.onLoadFun();
    }
  },
  onLoadFun(e) {
    let params = {
      bank_id: this.data.bank_id,
      hasuser: true,
    };

    //获取银行卡
    cashBank(params).then(res => {
      let banklist = res.data.bank;
      if (banklist) {
        if (banklist['bank_code']) {
          banklist['bankbg'] = banklist['bank_code'].toLowerCase();
        }
        if (banklist['cardno']) {
          banklist['vcardno'] = '****  ****  ****  ' + banklist['cardno'].substring(banklist['cardno'].length - 4);
        }
      }
      let realname = banklist ? banklist['realname'] : '';

      this.setData({
        bank: banklist,
        bank_realname: res.data.cash ? res.data.cash.bank_realname : realname,
        deposit: res.data.deposit,
        account: res.data.account
      })
    }).catch(err => {
      if (res.data.code == -10800) {
        this.setData({ hidden: true });
      }
    })
  },
  //提现微信，银行卡
  userWithdraw: function (e) {
    var that = this;
    var formData = e.detail.value;
    if (that.data.is_cash == true) {
      // that.setData({
      //   is_cash: false
      // })

      let paytitle = formData.totype == 1 ? '提现到微信' : "提现到银行卡"
      that.setData({
        type: that.data.type,
        money: formData.money,
        totype: formData.totype,
        paytype: 'paytoweixin',
        bank_realname: formData.bank_realname ? formData.bank_realname : null,
        user_bank_id: formData.user_bank_id ? formData.user_bank_id : null,
        paytitle: paytitle,
        formId: formData.formId
      })


    }

  },
  //提现余额
  userTransferMoney: function (e) {
    var that = this;
    var formData = e.detail.value;
    that.setData({
      money: formData.money,
      paytitle: '提现到余额',
      totype: 0
    })
  },
  //输入密码提交事件 输入密码组件回调这个方法
  submitpwd(e) {
    var that = this;
    let paw_val = e.detail.pwd;
    //console.log("here");
    if (that.data.is_cash == true) {
      that.setData({
        is_cash: false
      })




      //佣金提现到悦想余额
      if (that.data.totype == 0) {
        let params = {
          type: that.data.type,
          money: that.data.money,
          paypassword: e.detail.pwd
        };
        userTransferMoney(params).then(res => {
          that.setData({
            is_cash: true
          })
          if (res.code < 0) {
            app.showModal({
              content: res.msg
            })
          } else {
            app.showModal({
              content: res.msg
            })
            // wx.navigateTo({
            //   url: "/pages/personal/transfer/transfer_succeed/transfer_succeed?type=转账余额&money=" + that.data.money
            // })

          }
        })
      } else if (that.data.totype == 1 || that.data.totype == 2) {
        console.info("1101");
        this.setData({
          paw_val: paw_val,
        })
        this.selectComponent("#VerifyIdentity").showModal();//弹出验证身份的弹窗~

      } else {
        app.showModal({
          content: "非法操作!"
        })
      }

    }
  },
  optWithdraw: function (params) {
    let that = this;
    userWithdraw(params).then(res => {
      that.setData({
        is_cash: true
      })
      if (res.code == 0) {
        this.selectComponent("#VerifyIdentity").hideModal();//信息验证成功后关闭弹窗
        wx.navigateTo({
          url: "/pages/withdrawal_success/withdrawal_success?type=" + that.data.totype + "&money=" + that.data.money + "&intro=" + (that.data.bank ? that.data.bank.bank_name : '')
        })
      } else {
        if (res.code == -2) {
          //要求手机验证码
          that.setData({
            params: params
          })
          this.selectComponent("#VerifyIdentity").showModal();
        } else {
          app.showModal({
            content: res.msg
          })
        }

      }
    })
  },
  //获取 input值
  bindKeyInput: function (e) {
    var that = this;
    that.setData({
      inputValue: e.detail.value,
      inputLength: e.detail.cursor,
    })
    //console.log(that.data.inputValue)
    //console.log(that.data.inputLength)
  },
  //获取 input 2值
  bindKeyInputs: function (e) {
    var that = this;
    that.setData({
      inputValues: e.detail.value,
      inputLengths: e.detail.cursor,
    })
  },
  //点击切换
  clickTab: function (e) {
    //debugger;
    var that = this;
    if (this.data.currentTab === e.target.dataset.current) {
      return false;
    } else {
      that.setData({
        currentTab: e.target.dataset.current,
      })
    }
  },
})