const app = getApp();
import {userCashList,userLogs} from '../../api/user.js';
Page({
  /**
   * 页面的初始数据
   */
  data: {
    income:'',
    clientImgPath: app.globalData.clientImgPath,
    currentTab: 0,
    // date: '2019年5月8日',
    datePickerValue: ['', '', ''],
    datePickerValuea: "2019",
    datePickerValueb: "11",
    datePickerIsShow: false,
    cashlist: [],
    pageNum: 0,
    is_loading_done: false, //是否显示加载完，默认没有加载完

    defaultdate:"",

    array:[
      {type:'',text:'全部'},
      {type:'user',text:'用户'},
      {type:'agent',text:'代理'},
      {type:'shop',text:'商户'}
    ],
      index:0,
      type:'',
  },
  bindPickerChange(e){
    this.setData({
      cashlist: [],
      pageNum: 0,
      is_loading_done: false,
      index:e.detail.value,
      type:this.data.array[e.detail.value].type
    });
    this.initializedata();
  },
  //点击切换
  clickTab: function (e) {
    var that = this;
    if (this.data.currentTab === e.target.dataset.current) {
      return false;
    } else {
      that.setData({
        currentTab: e.target.dataset.current,
        cashlist: [],
        pageNum: 0,
        is_loading_done: false,
      });
      that.initializedata();
    }
  },
  // 日期
  showDatePicker: function (e) {
    this.setData({
      datePickerIsShow: true,
    });
  },
  datePickerOnSureClick: function (e) {
    var that = this;
    this.setData({
      //date: `${e.detail.value[0]}年${e.detail.value[1]}月${e.detail.value[2]}日`,
      date: e.detail.value[0] + "-" + e.detail.value[1],
      datePickerValue: e.detail.value,
      datePickerValuea: e.detail.value[0],
      datePickerValueb: e.detail.value[1],
      datePickerValuec: e.detail.value[2],
      datePickerIsShow: false,
      cashlist: [],
      pageNum: 0,
      is_loading_done: false,
    });
    that.initializedata();
  },
  datePickerOnCancelClick: function (event) {
    this.setData({
      datePickerIsShow: false,
      cashlist: [],
      pageNum: 0,
      is_loading_done: false,
    });
    that.initializedata();
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that=this;
    that.initializedata();

    // defaultdate
    let d = new Date();
    let YY = d.getFullYear();
    let MM = d.getMonth()+1;
    if(MM<10){
      MM =  "0"+MM;
    }
    this.setData({
      defaultdate:`${YY}-${MM}`
    })




  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function (e) {
    var that = this;
    var pageNum = that.data.pageNum;
    that.setData({
      pageNum: 0,
      is_loading_done: false,
      cashlist: [],
    })
    wx.showToast({
      title: '正在刷新',
      icon: 'loading',
      mask: true
    })
    that.initializedata();
    wx.stopPullDownRefresh();
  },
  loadmore: function () {
    var that = this;
    var pageNum = that.data.pageNum;
    that.setData({
      pageNum: pageNum + 1
    })
    that.initializedata();
  },
  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function (e) {
    var that = this;
    var is_loading_done = that.data.is_loading_done; //是否加载完毕
    if (is_loading_done == false) { //还没加载完毕则继续加载
      wx.showLoading({
        title: '加载中',
        mask: false
      })
      that.loadmore();
    } else {
      wx.showLoading({
        title: '已全部加载完毕',
        mask: false
      })
      setTimeout(function () {
        wx.hideLoading()
      }, 1000)
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  //提现日志
  initializedata:function(){
    var that=this;
    if (that.data.currentTab==0){
      let params = {
        mothtime: that.data.date,
        page: that.data.pageNum + 1,
        type:this.data.type
      };
      userCashList(params).then(res => {
        console.log(res);
        if (res.data.list == null || res.data.list.length == 0) {
          that.setData({
            currentMoth: res.data.currentMoth,
            expend: res.data.expend,
            is_loading_done: true,
          })
        } else {
          var cash_list = that.data.cashlist;
          cash_list = cash_list.concat(res.data.list);
          that.setData({
            currentMoth: res.data.currentMoth,
            expend: res.data.expend,
            cashlist: cash_list
          })
        }
        wx.hideLoading();
      })
    }else{
      let params = {
        source: 1,
        mothtime: that.data.date,
        page: that.data.pageNum + 1,
      };
      userLogs(params).then(res => {
        console.log(res);
        if (res.data.list == null || res.data.list.length == 0) {
          that.setData({
            currentMoth: res.data.currentMoth,
            income: res.data.income,
            is_loading_done: true,
          })
        } else {
          var cash_list = that.data.cashlist;
          cash_list = cash_list.concat(res.data.list);
          that.setData({
            currentMoth: res.data.currentMoth,
            income: res.data.income,
            cashlist: cash_list
          })
        }
        wx.hideLoading();
      })
    }
  }
})