import md5 from './md5.js';
import util from './util.js';
import { HEADER, TOKENNAME, Private_key} from './../config.js';
 /**
 * 发送请求
 */
export default function request(api, method, data, {noAuth = false, noVerify = false,isLoading=false})
{
  let Url = getApp().globalData.url, header = HEADER;
  data.login_type = 'wechat';
  data.sign = encodeSign(data);
  data.token = wx.getStorageSync('token') || '';

  if (getApp().globalData.myLatitude != undefined && getApp().globalData.myLatitude != "") {
    data.lat = getApp().globalData.myLatitude;
  }
  if (getApp().globalData.myLongitude != undefined && getApp().globalData.myLongitude != "") {
    data.lng = getApp().globalData.myLongitude;
  }
 
  data.private_key = getApp().globalData.private_key;
  var timestamp = Date.parse(new Date());
  data.timestamp = timestamp / 1000;
  return new Promise((reslove, reject)=>{
    if (isLoading){
      console.info('加载中...');
      util.showLoading('加载中...');
    }
    wx.request({
      url: Url  + api,
      method: method || 'GET',
      header: header,
      data: data || {},
      success: (res) => {
        if (isLoading){
          util.hideLoading()
        }
        if (noVerify)
          reslove(res.data||'', res);
        else if (res.data.code == -10800 || res.data.code == -99999) {
          // wx.clearStorageSync();//清除缓存
          wx.removeStorageSync('token')
          wx.removeStorageSync('cache_key')
          wx.removeStorageSync('userInfo')
          wx.removeStorageSync('user_id')
          
          reject(res.data);
        }
        else if (res.data.code!==false){
          reslove(res.data||'', res);
        }
        else if ([410000, 410001, 410002].indexOf(res.data.code) !== -1) {
          util.logout();
          console.log(res);
         
        } else
        reject(res.data.msg || '系统错误');
      },
      fail: (msg) => {
        if (isLoading){
          util.hideLoading()
        }
        reject('请求失败');
      },  
    })
  });
}
//生成签名
function encodeSign (params = {}) {
  var tmp = {};
  Object.keys(params).sort().forEach(function (k) {
    tmp[k] = params[k]
  });
 
  let private_key = getApp().globalData.private_key;
  let token = wx.getStorageSync('token') || '';
  let sign_str = private_key;
  for (var index in tmp) {
    //如值为数组转成字符串
    if (typeof tmp[index] === 'object'){
      tmp[index] = JSON.stringify(tmp[index]);
    }
    if (token!=""){
      sign_str += index + tmp[index] + token;
    }else{
      if (tmp[index] != undefined) {
         sign_str += index + tmp[index] ;
      }
    }
  }
  // console.info(sign_str,private_key,"2211");
  sign_str += private_key;
  sign_str = md5(sign_str);
  return sign_str;
  // return "aaa";
}

['options', 'get', 'post', 'put', 'head', 'delete', 'trace', 'connect'].forEach((method) => {
  request[method] = (api, data, opt) => request(api, method, data, opt || {})
});
